{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 70{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 30 "Chapter 11.3  Linear Functions"}}{COM_R 4 0{TEXT 1 33
 "Consider an equation of the form:"}}{COM_R 5 0{TEXT 1 66 "     \+
                                            z = c + mx + ny. "}}
{COM_R 6 0{TEXT 1 305 "The graph of this equation is a plane and \+
intersects the z- axis at the  point (0,0,-c).   If m is not 0 th
e plane intersects the the  x -axis at the point  (-c/m,0,0).  If
 n is not 0 the plane intersects the  y -axis at the point  (0,-c
/n,0).  What can be said in the event that both m or n are missin
g ?"}}{COM_R 7 0{TEXT 1 65 "As example we will now show how to us
e Maple V to plot the plane:"}}{COM_R 8 0{TEXT 1 73 "            \+
                                            z = 5  - 2x - y. "}}
{COM_R 9 0{TEXT 1 1 " "}}{INP_R 10 0 "> "{TEXT 0 58 "P1 := plot3d
(5-2*x-y,x=-5..5,y=-5..5,style=patchnogrid):\";"}}{COM_R 11 0
{TEXT 1 0 ""}}{COM_R 12 0{TEXT 1 273 "In order to have a better u
nderstanding of the graph of this plane, it is sometimes helpful \+
to plot the intersection of the plane with the coordinate planes.
  The intersection of the coordinate plane  x = 0  and the plane \+
  z = 5  - 2x - y  has a parametric representation:"}}{COM_R 13 0
{TEXT 1 69 "                                        x = 0,   y = \+
t,   z = 5 - t. "}}{COM_R 14 0{TEXT 1 102 "Show this.   Hint: Obs
erve that for any t the point with coordinates (0,t,5 - t)  lies \+
on both planes."}}{COM_R 15 0{TEXT 1 93 "The next Maple V segment
  indicates how to plot a segment of this line for 0 <=  t <= 5 u
sing"}}{COM_R 16 0{TEXT 1 69 "the Maple V procedure \"spacecurve\
" from the library  package \"plots\"."}}{COM_R 17 0{TEXT 1 0 ""}
}{INP_R 18 0 "> "{TEXT 0 12 "with(plots):"}}{INP_R 19 0 "> "{TEXT
 0 49 "P2 := spacecurve([0,t,5-t],t=0..5,color=black):\";"}}
{COM_R 20 0{TEXT 1 106 "\015Similarly,  the next  two Maple comma
nds plot the traces in the planes  y = 0,  and  z = 0  respective
ly."}}{COM_R 21 0{TEXT 1 0 ""}}{INP_R 22 0 "> "{TEXT 0 53 "P3 := \+
spacecurve([t,0,5-2*t],t=0..5/2,color=black):\";"}}{INP_R 23 0 ">
 "{TEXT 0 53 "P4 := spacecurve([5/2-t/2,t,0],t=0..5,color=black):
\";"}}{COM_R 24 0{TEXT 1 32 " \015Plotting all at the same time."
}}{COM_R 25 0{TEXT 1 0 ""}}{INP_R 26 0 "> "{TEXT 0 55 "display3d(
\{P1,P2,P3,P4\},tickmarks=[4,4,4],axes=normal);"}}{COM_R 27 0
{TEXT 1 0 ""}}{COM_R 28 0{TEXT 1 96 "Example 1   Find the equatio
n of the plane that passes through the  three points  (100,0,102)
,  "}}{COM_R 29 0{TEXT 1 59 "(101,-100,303),   and  (305,0,-105).
   Make a plot of this "}}{COM_R 30 0{TEXT 1 8 "plane.  "}}{COM_R
 31 0{TEXT 1 207 "Solution:  The first part of this problem can b
e solved by substituting the coordinates of the three points into
 z = c + mx + ny and then solving the  resulting three equations \+
for c, m, and n using \"solve\"."}}{COM_R 32 0{TEXT 1 0 ""}}
{INP_R 33 0 "> "{TEXT 0 43 "eq1 := subs(\{x=100,y=0,z=102\},z=c+m
*x+n*y);"}}{INP_R 34 0 "> "{TEXT 0 46 "eq2 := subs(\{x=101,y=-100
,z=303\},z=c+m*x+n*y);"}}{INP_R 35 0 "> "{TEXT 0 45 " eq3 := subs
(\{x=305,y=0,z=-105\},z=c+m*x+n*y);"}}{INP_R 36 0 "> "{TEXT 0 36 
"sol := solve(\{eq1,eq2,eq3\},\{c,m,n\});"}}{COM_R 37 0{TEXT 1 0 
""}}{COM_R 38 0{TEXT 1 79 "Substituting this result into the gene
ral equation gives the desired  equation."}}{COM_R 39 0{TEXT 1 0 
""}}{INP_R 40 0 "> "{TEXT 0 29 "eqn := subs(sol,z=c+m*x+n*y);"}}
{COM_R 41 0{TEXT 1 0 ""}}{COM_R 42 0{TEXT 1 52 "This equation can
 be plotted using \"implictplot3d\".\015"}}{INP_R 43 0 "> "{TEXT 
0 57 "implicitplot3d(eqn,x=-500..500,y=-500..500,z=-1500..1500,"}
}{INP_R 44 0 "> "{TEXT 0 52 " style=patchnogrid,axes=boxed,tickma
rks = [4,4,4] );"}}{COM_R 45 0{TEXT 1 0 ""}}{COM_R 46 0{TEXT 1 54
 " WARNING:  You can't plot an equation using \" plot3d\"."}}
{COM_R 47 0{TEXT 1 0 ""}}{INP_R 48 0 "> "{TEXT 0 56 "plot3d(eqn,x
=-5..5,y=-5..5,style=patchnogrid,axes=boxed,"}}{INP_R 49 0 "> "
{TEXT 0 22 "tickmarks = [4,4,4]); "}}{COM_R 50 0{TEXT 1 135 "But \+
you can plot an expression.  In this problem the right hand side \+
of the  equation can be plotted using the Maple V command \"rhs\"
.  "}}{COM_R 51 0{TEXT 1 0 ""}}{INP_R 52 0 "> "{TEXT 0 69 "plot3d
(rhs(eqn),x=-500..500,y=-500..500,style=patchnogrid,axes=boxed,"}
}{INP_R 53 0 "> "{TEXT 0 25 "    tickmarks = [4,4,4]);"}}{COM_R 
54 0{TEXT 1 105 "Example 2  Determine whether or not the points e
ither of following sets of points lie on a plane.  SetA ="}}
{COM_R 55 0{TEXT 1 72 " \{(100,0,102), (101,-100,303), (305,0,-10
5), (1025,364,80232617/5125)\}, "}}{COM_R 56 0{TEXT 1 3 "and"}}
{COM_R 57 0{TEXT 1 6 "SetB ="}}{COM_R 58 0{TEXT 1 73 " \{(100,0,1
02),  (101,-100,303), (305,0,-105), (1025,364,-80232617/5125)\}."
}}{COM_R 59 0{TEXT 1 96 "Solution:  The first three points in eac
h set lie on the same plane as in the preceding example."}}{COM_R
 60 0{TEXT 1 95 "Thus if the fourth point in each set satisfies t
he equation for the plane found in that example"}}{COM_R 61 0
{TEXT 1 26 "then it lies on the plane."}}{COM_R 62 0{TEXT 1 0 ""}
}{INP_R 63 0 "> "{TEXT 0 41 "subs(\{x=1025,y=364,z=80232617/5125\
},eqn);"}}{COM_R 64 0{TEXT 1 30 "Thus  SetA  is not co-planar.\01
5"}}{INP_R 65 0 "> "{TEXT 0 41 "subs(\{x=1025,y=364,z=-8032617/51
25\},eqn);"}}{SEP_R 66 0}{INP_R 67 0 "> "{TEXT 0 0 ""}}{COM_R 68 
0{TEXT 1 0 ""}}{COM_R 69 0{TEXT 1 63 "We conclude that all of the
 points in set SetB  lie on a plane."}}{COM_R 70 0{TEXT 1 0 ""}}
{COM_R 71 0{TEXT 1 0 ""}}}{END}
