{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 64{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 51 "Chapter 11.4  Functions of More Than Two Variables "}
}{COM_R 4 0{TEXT 1 158 "The graph of a function of two variables \+
is a surface or three dimensional object.  The graph of a functio
n of three variables is a three dimensional solid.  "}}{COM_R 5 0
{TEXT 1 35 "As an example consider the function"}}{COM_R 6 0{TEXT
 1 61 "                                 f(x,y,z) = x^2 + y^2 - z^
2. "}}{COM_R 7 0{TEXT 1 229 "One way to obtain geometric insight \+
into a surface is to study level curves.  Analogously you can gai
n geometric insight into the graphs of functions of  three variab
les by plotting level surfaces.  Consider the level surfaces:  "}
}{COM_R 8 0{TEXT 1 80 "                                 f(x,y,z) \+
= 1,   f(x,y,z) = -1,   f(x,y,z) = 0. "}}{COM_R 9 0{TEXT 1 74 "So
lving for z you can find explicit formulas,  in this very special
 case, "}}{COM_R 10 0{TEXT 1 31 "for each of the level surfaces:"
}}{COM_R 11 0{TEXT 1 68 "If  f(x,y,z)=1  then  z =  sqrt\{x^2+y^2
-1\} or  z= -sqrt\{x^2+y^2-1\}. "}}{COM_R 12 0{TEXT 1 73 "If  f(x
,y,z) = -1,  then   z =  sqrt\{x^2+y^2+1\}  or z= -sqrt\{x^2+y^2+
1\}. "}}{COM_R 13 0{TEXT 1 64 "If f(x,y,z)=0,then \011 z =  sqrt\
{x^2+y^2\}  or z= -\\sqrt\{x^2+y^2\}. "}}{COM_R 14 0{TEXT 1 0 ""}
}{COM_R 15 0{TEXT 1 147 "In the first case f(x,y,z)= 1  we get a \+
hyperboloid of one sheet.  We now use \"implicitplot3d\" which is
 contained in the \"plots\"  library package. "}}{COM_R 16 0{TEXT
 1 0 ""}}{INP_R 17 0 "> "{TEXT 0 12 "with(plots):"}}{INP_R 18 0 "
> "{TEXT 0 73 "implicitplot3d(x^2+y^2-z^2= 1,x=-3..3,y=-3..3,z=-5
..5,style=patchcontour,"}}{INP_R 19 0 "> "{TEXT 0 53 "axes=framed
,tickmarks=[3,3,5],orientation = [40,80]);"}}{COM_R 20 0{TEXT 1 
193 "\015The command \"implicitplot3d\" gives an acceptable plot \+
in this case,  but if we parameterize the equation we can get a b
etter plot.  Observe that for any pair of numbers  (r, theta)  th
e point "}}{COM_R 21 0{TEXT 1 79 "                               \+
  (r  cos(theta),r  sin(theta),  sqrt(r^2-1)),  "}}{COM_R 22 0
{TEXT 1 24 "satisfies the equation  "}}{COM_R 23 0{TEXT 1 69 "   \+
                                             z =  sqrt(x^2+y^2-1)
 "}}{COM_R 24 0{TEXT 1 112 "and hence lies on the hyperboloid  fo
r points in which the z-coordinate is non-negative.  Similarly,  \+
the point "}}{COM_R 25 0{TEXT 1 77 "                             \+
   (r  cos(theta),r sin(theta), - sqrt(r^2-1))  "}}{COM_R 26 0
{TEXT 1 86 "is on the hyperboloid  for z non-positive. The follow
ing plot is thus of the top half."}}{COM_R 27 0{TEXT 1 0 ""}}
{INP_R 28 0 "> "{TEXT 0 60 "P1 := plot3d([r*cos(theta),r*sin(thet
a),sqrt(r^2-1)],r=0..3,"}}{INP_R 29 0 "> "{TEXT 0 18 "theta=0..2*
Pi): \";"}}{COM_R 30 0{TEXT 1 0 ""}}{COM_R 31 0{TEXT 1 31 "Next w
e obtain the bottom half."}}{COM_R 32 0{TEXT 1 0 ""}}{INP_R 33 0 
"> "{TEXT 0 61 "P2 := plot3d([r*cos(theta),r*sin(theta),-sqrt(r^2
-1)],r=0..3,"}}{INP_R 34 0 "> "{TEXT 0 18 "theta=0..2*Pi): \";"}}
{COM_R 35 0{TEXT 1 0 ""}}{COM_R 36 0{TEXT 1 21 "Both halves toget
her."}}{COM_R 37 0{TEXT 1 0 ""}}{INP_R 38 0 "> "{TEXT 0 57 "displ
ay3d(\{P1,P2\},style=patchcontour,orientation=[45,75],"}}{INP_R 
39 0 "> "{TEXT 0 42 "         axes=framed,tickmarks = [3,3,5]);"}
}{COM_R 40 0{TEXT 1 0 ""}}{COM_R 41 0{TEXT 1 92 "When  x^2+y^2-z^
2=0,   the graph is a cone.  The plot using  \"implicitplot3d\"  \+
is too crude."}}{COM_R 42 0{TEXT 1 0 ""}}{INP_R 43 0 "> "{TEXT 0 
70 "implicitplot3d(x^2+y^2-z^2,x=-3..3,y=-3..3,z=-5..5,style=patc
hcontour,"}}{INP_R 44 0 "> "{TEXT 0 53 "axes=framed,tickmarks=[3,
3,5],orientation = [40,80]);"}}{COM_R 45 0{TEXT 1 63 "\015Paramet
erizing  we get the upper and lower halves of the cone."}}{COM_R 
46 0{TEXT 1 0 ""}}{INP_R 47 0 "> "{TEXT 0 59 " P1 := plot3d([r*co
s(theta),r*sin(theta),sqrt(r^2)],r=0..3,"}}{INP_R 48 0 "> "{TEXT 
0 27 "         theta=0..2*Pi): \";"}}{INP_R 49 0 "> "{TEXT 0 59 "
P2 := plot3d([r*cos(theta),r*sin(theta),-sqrt(r^2)],r=0..3,"}}
{INP_R 50 0 "> "{TEXT 0 26 "        theta=0..2*Pi): \";"}}{INP_R 
51 0 "> "{TEXT 0 57 "display3d(\{P1,P2\},style=patchcontour,orien
tation=[45,75],"}}{INP_R 52 0 "> "{TEXT 0 41 "        axes=framed
,tickmarks = [3,3,5]);"}}{INP_R 53 0 "> "{TEXT 0 73 "implicitplot
3d(x^2+y^2-z^2=-1,x=-3..3,y=-3..3,z=-5..5,style=patchcontour,"}}
{INP_R 54 0 "> "{TEXT 0 54 " axes=framed,tickmarks=[3,3,5],orient
ation = [40,80]);"}}{COM_R 55 0{TEXT 1 38 "\015Parameterizing giv
es a better view. \015"}}{INP_R 56 0 "> "{TEXT 0 60 "P1 := plot3d
([r*cos(theta),r*sin(theta),sqrt(r^2+1)],r=0..3,"}}{INP_R 57 0 ">
 "{TEXT 0 26 "        theta=0..2*Pi): \";"}}{INP_R 58 0 "> "{TEXT
 0 61 "P2 := plot3d([r*cos(theta),r*sin(theta),-sqrt(r^2+1)],r=0.
.3,"}}{INP_R 59 0 "> "{TEXT 0 27 "         theta=0..2*Pi): \";"}}
{INP_R 60 0 "> "{TEXT 0 57 "display3d(\{P1,P2\},style=patchcontou
r,orientation=[45,75],"}}{INP_R 61 0 "> "{TEXT 0 44 "        axes
=framed,tickmarks = [3,3,5]): \";"}}{COM_R 62 0{TEXT 1 0 ""}}
{COM_R 63 0{TEXT 1 0 ""}}{SEP_R 64 0}{INP_R 65 0 "> "{TEXT 0 0 ""
}}}{END}
