{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 176{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 20 "Chapter 11.5 Vectors"}}{COM_R 4 0{TEXT 1 202 "When st
udying vectors using Maple V it is useful to employ  procedures t
hat are part of the Maple V Linear Algebra package called \"linal
g\". This package is made available by the \"with(linalg)\"  comm
and."}}{COM_R 5 0{TEXT 1 0 ""}}{INP_R 6 0 "> "{TEXT 0 13 "with(li
nalg):"}}{COM_R 7 0{TEXT 1 75 "Ignore the warnings,  they will no
t cause you any trouble in this lesson.  "}}{COM_R 8 0{TEXT 1 29 
"Enter the following vectors  "}}{COM_R 9 0{TEXT 1 63 "          \+
              A = <1,2,3>,  B = <5,0,5>,  C = <x,y,z>"}}{COM_R 10
 0{TEXT 1 72 "in order to illustrate some of the basic Maple V co
mmands that deal with"}}{COM_R 11 0{TEXT 1 92 "vectors.  ( NOTE: \+
 Throughout this book we will use the notation  <a,b,c>  for the \+
 vector  "}}{COM_R 12 0{TEXT 1 17 "a  i +b j +c k.) "}}{COM_R 13 
0{TEXT 1 174 "The command  \" vector\" is available to your sessi
on once the command  \"with(linalg)\" has been entered.   There a
re several equivalent syntaxes for this command.  We will use "}}
{COM_R 14 0{TEXT 1 61 "                                > vector (
 [x_1, ..., x_n ]);"}}{COM_R 15 0{TEXT 1 56 "as the command to en
ter the vector $<x_1, \\cdots, x_n>.$"}}{COM_R 16 0{TEXT 1 0 ""}}
{INP_R 17 0 "> "{TEXT 0 21 "A := vector([1,2,3]);"}}{INP_R 18 0 "
> "{TEXT 0 21 "B := vector([5,0,5]);"}}{COM_R 19 0{TEXT 1 71 "The
  vector  C  has variable components and is entered in the same w
ay:"}}{COM_R 20 0{TEXT 1 0 ""}}{INP_R 21 0 "> "{TEXT 0 22 " C := \+
vector([x,y,z]);"}}{COM_R 22 0{TEXT 1 0 ""}}{COM_R 23 0{TEXT 1 
139 "If you want to have Maple V print out the value of a vector \+
you will need to use \"evalm\",  evaluate to a matrix.  For examp
le,  the command"}}{INP_R 24 0 "> "{TEXT 0 2 "A;"}}{COM_R 25 0
{TEXT 1 0 ""}}{COM_R 26 0{TEXT 1 82 "does not show you the values
 of the components of the vector  A,  but the commands"}}{INP_R 
27 0 "> "{TEXT 0 9 "evalm(A);"}}{INP_R 28 0 "> "{TEXT 0 9 "print(
A);"}}{COM_R 29 0{TEXT 1 3 "do."}}{COM_R 30 0{TEXT 1 86 "Assignin
g values to the variables in a vector can prove a little tricky. \+
 For example."}}{COM_R 31 0{TEXT 1 0 ""}}{INP_R 32 0 "> "{TEXT 0 
29 "evalm(subs(\{x=1,y=2,z=3\},C));"}}{INP_R 33 0 "> "{TEXT 0 29 
"evalm(subs([x=1,y=2,z=3],C));"}}{COM_R 34 0{TEXT 1 91 "The follo
wing is a rather straight forward method for making a  substituti
on into a vector."}}{COM_R 35 0{TEXT 1 0 ""}}{INP_R 36 0 "> "
{TEXT 0 46 "evalm([seq(subs(\{x=1,y=2,z=3\},C[i]),i=1..3)]);"}}
{COM_R 37 0{TEXT 1 54 "On the other hand the procedure \"map\" is
 more elegant:"}}{COM_R 38 0{TEXT 1 0 ""}}{INP_R 39 0 "> "{TEXT 0
 33 "map(t ->subs(\{x=1,y=2,z=3\},t),C);"}}{COM_R 40 0{TEXT 1 146
 "In an active Maple V session you can't visually distinguish a \
"vector\" from  a  \"list\".  To make such distinctions use the M
aple V command \"type\"."}}{COM_R 41 0{TEXT 1 0 ""}}{INP_R 42 0 "
> "{TEXT 0 15 "type(\",vector);"}}{COM_R 43 0{TEXT 1 0 ""}}{COM_R
 44 0{TEXT 1 77 "The fact that a \"vector\" differs from a \"list
\" can be illustrated as follows:"}}{COM_R 45 0{TEXT 1 0 ""}}
{INP_R 46 0 "> "{TEXT 0 21 "type([1,2,3],vector);"}}{COM_R 47 0
{TEXT 1 93 "But,  the \"linalg\" procedure \"evalm\",  evaluate t
o matrix,  converts a \"list\"  to a \"vector\"."}}{COM_R 48 0
{TEXT 1 0 ""}}{INP_R 49 0 "> "{TEXT 0 28 "type(evalm([1,2,3]),vec
tor);"}}{COM_R 50 0{TEXT 1 260 "Observe that even though a \"vect
or\" and a \"list\" appear to you  to be the same,  Maple V regar
ds  them as different objects. A \"vector\" must be defined to th
e session with the command  \"vector\".  This  takes an argument \+
which is enclosed within the \"[ ... ]\". "}}{COM_R 51 0{TEXT 1 
124 "We can add vectors.  There are two ways that this can be acc
omplished.   One way is to use the linear algebra routine \"add\"
."}}{COM_R 52 0{TEXT 1 0 ""}}{INP_R 53 0 "> "{TEXT 0 14 "S := add
(A,B);"}}{COM_R 54 0{TEXT 1 124 "This looks like and is a \"vecto
r\".  Remember that to show ther components of a vector on the sc
reen we have to use \" evalm\"."}}{COM_R 55 0{TEXT 1 0 ""}}{INP_R
 56 0 "> "{TEXT 0 9 "evalm(S);"}}{COM_R 57 0{TEXT 1 42 "Otherwise
 we get the unevaluated variable:"}}{COM_R 58 0{TEXT 1 0 ""}}
{INP_R 59 0 "> "{TEXT 0 2 "S;"}}{COM_R 60 0{TEXT 1 107 "Observe t
hat you can use the \"add\" command to add lists that look like v
ectors, and the result is a vector:"}}{COM_R 61 0{TEXT 1 0 ""}}
{INP_R 62 0 "> "{TEXT 0 21 "add([1,2,3],[5,0,5]);"}}{INP_R 63 0 "
> "{TEXT 0 15 "type(\",vector);"}}{COM_R 64 0{TEXT 1 44 "The foll
owing is another way to add vectors:"}}{COM_R 65 0{TEXT 1 0 ""}}
{INP_R 66 0 "> "{TEXT 0 11 "evalm(A+B);"}}{INP_R 67 0 "> "{TEXT 0
 15 "type(\",vector);"}}{COM_R 68 0{TEXT 1 82 "Also,  one can add
 two lists and use \"evalm\" to convert the result to a \"vector\
". "}}{COM_R 69 0{TEXT 1 0 ""}}{INP_R 70 0 "> "{TEXT 0 23 "evalm(
[1,2,3]+[5,0,5]);"}}{INP_R 71 0 "> "{TEXT 0 15 "type(\",vector);"
}}{COM_R 72 0{TEXT 1 89 "There are several ways to calculate the \+
length of a vector with Maple.   Recall that if  "}}{COM_R 73 0
{TEXT 1 47 "V =  <a,b,c>  then the length of V,  ||V|| , is"}}
{COM_R 74 0{TEXT 1 74 "                                          \+
      ||V|| = sqrt(a^2+b^2+c^2)."}}{COM_R 75 0{TEXT 1 95 "Thus th
e most natural way to obtain the length of the vector A,  defined
  above, is as follows:"}}{COM_R 76 0{TEXT 1 0 ""}}{INP_R 77 0 ">
 "{TEXT 0 63 "i := 'i'; # This resets \"i\" so that it can be use
d as an index."}}{INP_R 78 0 "> "{TEXT 0 25 "sqrt(sum(A[i]^2,i=1.
.3));"}}{COM_R 79 0{TEXT 1 67 "Or if you want  this result in flo
ating point decimal to 15 digits:"}}{COM_R 80 0{TEXT 1 0 ""}}
{INP_R 81 0 "> "{TEXT 0 12 "evalf(\",15);"}}{INP_R 82 0 "> "{TEXT
 0 25 "sqrt(sum(C[i]^2,i=1..3));"}}{COM_R 83 0{TEXT 1 102 "Within
 the \"linalg\" package  is a built-in procedure \"norm\" which  \+
can be  used to compute the length:"}}{COM_R 84 0{TEXT 1 0 ""}}
{INP_R 85 0 "> "{TEXT 0 10 "norm(A,2);"}}{INP_R 86 0 "> "{TEXT 0 
11 " norm(C,2);"}}{COM_R 87 0{TEXT 1 105 "Make sure that you use \+
the option \"2\" when using \"norm\" otherwise  you will  not get
 the standard length."}}{COM_R 88 0{TEXT 1 79 "The vector operati
ons dot product and cross product are available in  \"linalg\"."}
}{COM_R 89 0{TEXT 1 0 ""}}{INP_R 90 0 "> "{TEXT 0 13 "dotprod(A,B
);"}}{INP_R 91 0 "> "{TEXT 0 13 "dotprod(B,A);"}}{INP_R 92 0 "> "
{TEXT 0 25 "dotprod([5,0,5],[1,2,3]);"}}{INP_R 93 0 "> "{TEXT 0 
13 "dotprod(A,C);"}}{COM_R 94 0{TEXT 1 61 "This allows us to calc
ulate the length by yet another method."}}{COM_R 95 0{TEXT 1 0 ""
}}{INP_R 96 0 "> "{TEXT 0 19 "sqrt(dotprod(A,A));"}}{INP_R 97 0 "
> "{TEXT 0 32 "LengthOfC := sqrt(dotprod(C,C));"}}{COM_R 98 0
{TEXT 1 82 "The procedure  \"subs\" can be used to assign values \+
when the length is a  variable:"}}{COM_R 99 0{TEXT 1 0 ""}}{INP_R
 100 0 "> "{TEXT 0 30 "subs(\{x=3,y=4,z=5\},LengthOfC);"}}{COM_R 
101 0{TEXT 1 40 "Now for some examples using \"crossprod\"."}}
{COM_R 102 0{TEXT 1 0 ""}}{INP_R 103 0 "> "{TEXT 0 15 "crossprod(
A,B);"}}{INP_R 104 0 "> "{TEXT 0 15 "crossprod(B,A);"}}{INP_R 105
 0 "> "{TEXT 0 27 "crossprod([1,2,3],[5,0,5]);"}}{INP_R 106 0 "> \+
"{TEXT 0 15 "crossprod(A,C);"}}{COM_R 107 0{TEXT 1 91 "One can al
so perform scalar multiplication using the procedure  \"scalarmul
\" from  \"linalg\"."}}{COM_R 108 0{TEXT 1 0 ""}}{INP_R 109 0 "> \+
"{TEXT 0 18 "scalarmul(A,1/10);"}}{INP_R 110 0 "> "{TEXT 0 24 "sc
alarmul([1,2,3],1/10);"}}{INP_R 111 0 "> "{TEXT 0 24 "scalarmul([
1,2,3],1/10);"}}{INP_R 112 0 "> "{TEXT 0 15 "type(\",vector);"}}
{INP_R 113 0 "> "{TEXT 0 14 "evalm(1/10*A);"}}{INP_R 114 0 "> "
{TEXT 0 20 "evalm(1/10*[1,2,3]);"}}{COM_R 115 0{TEXT 1 47 " One c
an use \"scalarmul\" to normalize a vector:"}}{COM_R 116 0{TEXT 1
 0 ""}}{INP_R 117 0 "> "{TEXT 0 39 "U := scalarmul(A,1/sqrt(dotpr
od(A,A)));"}}{INP_R 118 0 "> "{TEXT 0 19 "sqrt(dotprod(U,U));"}}
{COM_R 119 0{TEXT 1 75 "Also the \"linalg\" package has its own n
ormalization procedure  \"normalize\"."}}{COM_R 120 0{TEXT 1 0 ""
}}{INP_R 121 0 "> "{TEXT 0 13 "normalize(A);"}}{COM_R 122 0{TEXT 
1 213 " Example 1:  Let F =  < -1, 1, 3 >  and G =  < 2,4,3>  be \+
vectors.  Find  vectors  Fparallel  and  Fperp  such that  F =Fpa
rallel+ Fperp,   and such that Fparallel is parallel to G and Fpe
rp is perpendicular to G."}}{COM_R 123 0{TEXT 1 59 "Solution:  Th
e first step is to define the vectors F and G."}}{COM_R 124 0
{TEXT 1 0 ""}}{INP_R 125 0 "> "{TEXT 0 44 "F := vector([-1,1,3]);
 G := vector([2,4,3]);"}}{COM_R 126 0{TEXT 1 84 "The vector Fpara
llel is obtained by taking the component of F in the direction of
 G."}}{COM_R 127 0{TEXT 1 0 ""}}{INP_R 128 0 "> "{TEXT 0 48 "Fpar
allel := evalm(G*dotprod(F,G)/dotprod(G,G));"}}{COM_R 129 0{TEXT 
1 63 "The vector Fperp is the difference between  F  and  Fparall
el. "}}{COM_R 130 0{TEXT 1 0 ""}}{INP_R 131 0 "> "{TEXT 0 28 "Fpe
rp := evalm(F-Fparallel);"}}{COM_R 132 0{TEXT 1 11 "As a check."}
}{COM_R 133 0{TEXT 1 0 ""}}{INP_R 134 0 "> "{TEXT 0 34 "evalm(F) \+
= evalm(Fparallel+Fperp);"}}{INP_R 135 0 "> "{TEXT 0 17 "dotprod(
G,Fperp);"}}{INP_R 136 0 "> "{TEXT 0 23 "crossprod(G,Fparallel);"
}}{COM_R 137 0{TEXT 1 64 "Now do you know for sure that  Fparalle
l and  Fperp are correct?"}}{COM_R 138 0{TEXT 1 116 "Example 2:  \+
Find the equation of the plane though the point (1,1,2)  which is
 perpendicular to the vector  <3,5,2> ."}}{COM_R 139 0{TEXT 1 96 
"Solution:   For the point P with coordinates  (x,y,z)  to lie on
 the required plane  the vector "}}{COM_R 140 0{TEXT 1 70 "<x-1,y
-1,z-2>  should be perpendicular to the vector  <3,5,2>.   Hence"
}}{COM_R 141 0{TEXT 1 0 ""}}{INP_R 142 0 "> "{TEXT 0 35 "dotprod(
[3,5,2],[x-1,y-1,z-2]) = 0;"}}{COM_R 143 0{TEXT 1 74 "We can show
 how to find the equation of a plane through three points using"}
}{COM_R 144 0{TEXT 1 15 "vector methods."}}{COM_R 145 0{TEXT 1 82
 "Example 3:   Find the equation of the plane that passes through
 the three  points "}}{COM_R 146 0{TEXT 1 48 "P = (1,0,1),  Q = (
1,-1,3),  and  R = (3,0,-1). "}}{COM_R 147 0{TEXT 1 0 ""}}{COM_R 
148 0{TEXT 1 87 "Solution: Since  P  and  Q  lie in the plane the
 vectors U and V are also in the plane "}}{COM_R 149 0{TEXT 1 5 "
where"}}{COM_R 150 0{TEXT 1 0 ""}}{INP_R 151 0 "> "{TEXT 0 59 "U \+
:= evalm([1,-1,3]-[1,0,1]); V := evalm([3,0,-1]-[1,0,1]);"}}
{COM_R 152 0{TEXT 1 104 "A vector which is perpendicular to the p
lane is thus obtained by taking the cross product of  U  and V. "
}}{COM_R 153 0{TEXT 1 0 ""}}{INP_R 154 0 "> "{TEXT 0 20 "N := cro
ssprod(U,V);"}}{COM_R 155 0{TEXT 1 34 "The equation of the plane \+
is thus:"}}{COM_R 156 0{TEXT 1 0 ""}}{INP_R 157 0 "> "{TEXT 0 25 
"dotprod(N,[x-1,y,z-1])=0;"}}{COM_R 158 0{TEXT 1 0 ""}}{COM_R 159
 0{TEXT 1 78 "Example 4:  Find the area of the triangle formed by
 the points with  vertices:"}}{COM_R 160 0{TEXT 1 65 "A = (-122,3
17,615),  B = (217,314,617),  and C = (3117,-217,615)."}}{COM_R 
161 0{TEXT 1 51 "Solution: The vectors  AB,   and  AC  are given \+
by:"}}{COM_R 162 0{TEXT 1 0 ""}}{INP_R 163 0 "> "{TEXT 0 51 "AB :
= linalg[vector]([217-(-122),314-317,617-615]);"}}{INP_R 164 0 ">
 "{TEXT 0 53 "AC := linalg[vector]([3117-(-122),-217-317,615-615]
);"}}{COM_R 165 0{TEXT 1 156 "The area of the parallelogram deter
mined by the vectors AB and AC is equal  to the length of  the cr
ossproduct  of AB and  AC.   The area of the triangle is"}}{COM_R
 166 0{TEXT 1 0 ""}}{INP_R 167 0 "> "{TEXT 0 59 "AreaTriangle := \+
linalg[norm](linalg[crossprod](AB,AC),2)/2;"}}{COM_R 168 0{TEXT 1
 0 ""}}{COM_R 169 0{TEXT 1 70 "Example 5:  Find the volume of the
 parallopiped formed by the vectors "}}{COM_R 170 0{TEXT 1 75 "  \+
                        A = <1,2,3>,   B= <-1,0,1>,    and   C = \+
<2,5,5>."}}{COM_R 171 0{TEXT 1 9 "Solution:"}}{COM_R 172 0{TEXT 1
 0 ""}}{INP_R 173 0 "> "{TEXT 0 58 "Area := abs(dotprod([1,2,3],c
rossprod([-1,0,1],[2,5,5])));"}}{COM_R 174 0{TEXT 1 0 ""}}{COM_R 
175 0{TEXT 1 0 ""}}{COM_R 176 0{TEXT 1 0 ""}}{COM_R 177 0{TEXT 1 
0 ""}}}{END}
