{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 53{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 46 "Chapter I2.1  Partial Derivatives with Maple V"}}
{COM_R 4 0{TEXT 1 68 "Let f be a function of two variables define
d around the point (a,b)."}}{COM_R 5 0{TEXT 1 70 "Recall that the
 definition of the partial derivative with respect to x"}}{COM_R 
6 0{TEXT 1 74 "at (a,b) is given by the following limit (provided
 that the limit exists)."}}{COM_R 7 0{TEXT 1 47 "                \+
limit((f(a+h,b)-f(a,b))/h,h=0)."}}{COM_R 8 0{TEXT 1 64 "Similarly
,  the partial derivative with respect to y at (a,b) is"}}{COM_R 
9 0{TEXT 1 49 "                 limit((f(a ,b+k)-f(a,b))/k,k=0)."
}}{COM_R 10 0{TEXT 1 75 "As an example of how Maple V can be used
 to compute the partial derivatives"}}{COM_R 11 0{TEXT 1 16 "of t
he function:"}}{COM_R 12 0{TEXT 1 62 "                           \+
             f(x,y) = x^4*y^2-x*y+7"}}{COM_R 13 0{TEXT 1 70 "at t
he point (x,y) we first define f and take the appropriate limits.
\015"}}{INP_R 14 0 "> "{TEXT 0 29 "f := (x,y) ->  x^4*y^2-x*y+7;"
}}{INP_R 15 0 "> "{TEXT 0 44 " Limit((f(x+h,y)-f(x,y))/h,h=0):\"=
 value(\");"}}{INP_R 16 0 "> "{TEXT 0 44 " Limit((f(x,y+k)-f(x,y)
)/k,k=0):\"= value(\");"}}{COM_R 17 0{TEXT 1 88 "\015The precedin
g Maple V segment tells us that the partial derivative of f with \+
respect to"}}{COM_R 18 0{TEXT 1 89 "x at (x,y) is   y*(4*y*x^3-1)
 and the partial derivative of f with resepect to y at (x,y)"}}
{COM_R 19 0{TEXT 1 17 "is x*(2*y*x^3-1)."}}{COM_R 20 0{TEXT 1 161
 "        Normally we will simply ask Maple V to compute the part
ial derivatives  directly.  We can use the inert form for \"diff\
" if we want to  format the output."}}{COM_R 21 0{TEXT 1 0 ""}}
{INP_R 22 0 "> "{TEXT 0 28 "Diff(f(x,y),x): \"= value(\");"}}
{COM_R 23 0{TEXT 1 149 "\015We need to factor the preceding resul
t in order to see that it agrees with the limit defined above as \+
the partial derivative of f with respect to x."}}{COM_R 24 0{TEXT
 1 0 ""}}{INP_R 25 0 "> "{TEXT 0 10 "factor(\");"}}{COM_R 26 0
{TEXT 1 0 ""}}{COM_R 27 0{TEXT 1 65 "Now we will use \"diff\" to \+
compute the partial with respect to y.\015"}}{INP_R 28 0 "> "
{TEXT 0 15 "diff(f(x,y),y);"}}{INP_R 29 0 "> "{TEXT 0 10 "factor(
\");"}}{COM_R 30 0{TEXT 1 135 "\015It is possible to compute high
er order derivatives.  For example,  the second derivative with r
espect to x can be obtained as follows:"}}{COM_R 31 0{TEXT 1 0 ""
}}{INP_R 32 0 "> "{TEXT 0 29 "Diff(f(x,y),x,x): \"=value(\");"}}
{COM_R 33 0{TEXT 1 3 "\015or"}}{COM_R 34 0{TEXT 1 0 ""}}{INP_R 35
 0 "> "{TEXT 0 17 "diff(f(x,y),x,x);"}}{COM_R 36 0{TEXT 1 3 "\015
or"}}{COM_R 37 0{TEXT 1 0 ""}}{INP_R 38 0 "> "{TEXT 0 17 "diff(f(
x,y),x$2);"}}{COM_R 39 0{TEXT 1 81 "\015In the last step we used \+
the  $  operator which sometimes shortens the notation."}}{COM_R 
40 0{TEXT 1 0 ""}}{INP_R 41 0 "> "{TEXT 0 5 " x$5;"}}{INP_R 42 0 
"> "{TEXT 0 8 "x$3,y$2;"}}{COM_R 43 0{TEXT 1 96 "\015To compute t
he fifth order derivative of f three times with respect to x and \+
twice with respect"}}{COM_R 44 0{TEXT 1 5 "to y."}}{COM_R 45 0
{TEXT 1 0 ""}}{INP_R 46 0 "> "{TEXT 0 21 "diff(f(x,y),x$3,y$2);"}
}{COM_R 47 0{TEXT 1 3 "\015or"}}{INP_R 48 0 "> "{TEXT 0 35 " Diff
(f(x,y),x$3,y$2): \"= value(\");"}}{COM_R 49 0{TEXT 1 104 "\015It
 is easy to compute the value of partial derivatives at a particu
lar point,  say (3,2), using \"subs\"."}}{COM_R 50 0{TEXT 1 0 ""}
}{INP_R 51 0 "> "{TEXT 0 19 "diff(f(x,y),x$2,y);"}}{INP_R 52 0 ">
 "{TEXT 0 16 "subs(x=3,y=2,\");"}}{SEP_R 53 0}{INP_R 54 0 "> "
{TEXT 0 0 ""}}}{END}
