{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 49{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 62 "Chapter 12.3 Gradients  & Directional Derivatives wit
h Maple V"}}{COM_R 4 0{TEXT 1 209 "Let f be a function which has \+
partial derivatives around the point (a,b).   Let  U = <u1,u2>  b
e a unit vector.  Then the directional derivative is defined to b
e the following limit (assuming that it  exists):"}}{COM_R 5 0
{TEXT 1 71 "                                limit((f(a+h*u1,b+h*u
2)-f(a,b))/h,h=0)."}}{COM_R 6 0{TEXT 1 156 "Thus the directional \+
derivative represents the instantaneous rate of change of  f as  \+
(x,y)  moves in the direction  U = <u_1,u_2>  from  the point  (a
,b). "}}{COM_R 7 0{TEXT 1 154 "As example find the directional de
rivative of the function g(x,y)  defined as follows in the direct
ion  U = <2/sqrt(5),1/sqrt(5)>  at the point  (-1,2).\015 "}}
{INP_R 8 0 "> "{TEXT 0 46 "g := (x,y) -> x^2+y^2-x*cos(Pi*y)-y*si
n(Pi*x);"}}{COM_R 9 0{TEXT 1 0 ""}}{COM_R 10 0{TEXT 1 24 "Now app
ly the definition"}}{COM_R 11 0{TEXT 1 0 ""}}{INP_R 12 0 "> "
{TEXT 0 67 "Dg(-1,2) := limit((g(-1+h*2/sqrt(5),2+h*1/sqrt(5))-g(
-1,2))/h,h=0);"}}{COM_R 13 0{TEXT 1 344 "\015That preceding Maple
 V output gives the rate of change of the values g(x,y)  as  (x,y
) moves in the direction of  <2/ sqrt(5),1/ sqrt(5)>  from the po
int  (-1,2).    There is a more direct way to compute a direction
al derivative using gradient vectors and vector operations.  The \+
function \"grad\",  gradient,   is part of the \"linalg\" package
.\015"}}{INP_R 14 0 "> "{TEXT 0 13 "with(linalg):"}}{COM_R 15 0
{TEXT 1 56 "\015We now compute the gradient of g at an arbitrary \+
point:"}}{COM_R 16 0{TEXT 1 0 ""}}{INP_R 17 0 "> "{TEXT 0 28 "Gra
dg := grad(g(x,y),[x,y]);"}}{COM_R 18 0{TEXT 1 63 "\015We use \"s
ubs\" to evaluate the variables at the point  (-1,2). "}}{COM_R 
19 0{TEXT 1 0 ""}}{INP_R 20 0 "> "{TEXT 0 36 "Gradg := subs(x=-1,
y=2,eval(Gradg));"}}{COM_R 21 0{TEXT 1 111 "\015If we want to eva
luate the cosine function at its arguments then  \"eval\" must be
 used again along with \"map\".\015"}}{INP_R 22 0 "> "{TEXT 0 31 
"Gradg := map(s->eval(s),Gradg);"}}{COM_R 23 0{TEXT 1 87 "\015We \+
know that the directional derivative of a function f(x,y) at a po
int  (a,b) in the "}}{COM_R 24 0{TEXT 1 115 "direction  U = <u1,u
2> is also given by the dot product of the  gradient of f at (a,b
) and the vector  U.    Hence:"}}{COM_R 25 0{TEXT 1 0 ""}}{INP_R 
26 0 "> "{TEXT 0 49 "Dg(-1,2) := dotprod(Gradg,[2/sqrt(5),1/sqrt(
5)]);"}}{INP_R 27 0 "> "{TEXT 0 31 "Dg(-1,2) := simplify(Dg(-1,2)
);"}}{COM_R 28 0{TEXT 1 72 "\015If you wish a decimal approximati
on of this then perform the following."}}{COM_R 29 0{TEXT 1 0 ""}
}{INP_R 30 0 "> "{TEXT 0 16 "evalf(Dg(-1,2));"}}{COM_R 31 0{TEXT 
1 93 "\015Recall that the gradient vector is perpendicular to the
 level curves. In order to illustrate"}}{COM_R 32 0{TEXT 1 86 "th
is,  let us draw the gradient vector field of g(x,y) in the plane
.  This can be done"}}{COM_R 33 0{TEXT 1 65 "with the command \"g
radplot\" which is part of the \"plots\" package."}}{COM_R 34 0
{TEXT 1 0 ""}}{INP_R 35 0 "> "{TEXT 0 13 " with(plots):"}}{INP_R 
36 0 "> "{TEXT 0 65 "P1 := gradplot(g(x,y),x=-2..0,y=1..3,arrows=
SLIM,grid=[30,30]):\";"}}{COM_R 37 0{TEXT 1 47 "\015Let's plot th
e level curve  g(x,y) = g(-1,2). "}}{COM_R 38 0{TEXT 1 0 ""}}
{INP_R 39 0 "> "{TEXT 0 52 "P2 := implicitplot(g(x,y)=g(-1,2),x=-
2..0,y=1..3):\";"}}{COM_R 40 0{TEXT 1 43 "\015Now putting both pl
ots together we obtain."}}{COM_R 41 0{TEXT 1 0 ""}}{INP_R 42 0 ">
 "{TEXT 0 37 "display(\{P1,P2\},scaling=constrained);"}}{COM_R 43
 0{TEXT 1 187 "Note that any place where an arrow from the gradie
nt vector field  intersects the level curve the vector is perpend
icular to the curve.  We will observe this with a few more level \+
curves."}}{COM_R 44 0{TEXT 1 0 ""}}{INP_R 45 0 "> "{TEXT 0 74 "P3
:= implicitplot(\{g(x,y)=g(-0.5,2),g(x,y)=g(-1.5,1.5)\},x=-2..0,y
=1..3):\";"}}{INP_R 46 0 "> "{TEXT 0 40 "display(\{P1,P2,P3\},sca
ling=constrained);"}}{COM_R 47 0{TEXT 1 0 ""}}{COM_R 48 0{TEXT 1 
0 ""}}{SEP_R 49 0}{INP_R 50 0 "> "{TEXT 0 0 ""}}}{END}
