{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 37{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 44 "Chapter 12.6  Partial Differential Equations"}}{COM_R
 4 0{TEXT 1 278 "Because of its ability in helping to find partia
l derivatives, Maple V can be used to verify when a function is a
 solution of a partial differential.  In addition,  using graphic
s one can study qualitative features of the solutions.  As an exa
mple,  consider the heat equation:\015"}}{INP_R 5 0 "> "{TEXT 0 
34 "Diff(u(x,t),t) = Diff(u(x,t),x$2);"}}{COM_R 6 0{TEXT 1 0 ""}}
{COM_R 7 0{TEXT 1 43 " The function defined below is a solution. \+
"}}{COM_R 8 0{TEXT 1 0 ""}}{INP_R 9 0 "> "{TEXT 0 34 "u := (x,t) \+
-> -exp(-4*t)*sin(2*x);"}}{COM_R 10 0{TEXT 1 64 "\015Now differen
tiating we see that  u satisfies the heat equation."}}{COM_R 11 0
{TEXT 1 0 ""}}{INP_R 12 0 "> "{TEXT 0 32 " LeftHandSide := diff(u
(x,t),t);"}}{INP_R 13 0 "> "{TEXT 0 34 "RightHandSide := diff(u(x
,t),x,x);"}}{COM_R 14 0{TEXT 1 0 ""}}{COM_R 15 0{TEXT 1 147 "\012
Suppose,  for example,  that  u(x,t) represents the heat in a bar
 which is Pi units long.  Initially the heat at point x along the
 bar is u(x,0). "}}{COM_R 16 0{TEXT 1 0 ""}}{INP_R 17 0 "> "{TEXT
 0 7 "u(x,0);"}}{COM_R 18 0{TEXT 1 91 "We can plot this to obtain
 a graph of the temperature distribution along the bar.  At times
"}}{COM_R 19 0{TEXT 1 17 "t= 0 and t= 1/8.\015"}}{INP_R 20 0 "> "
{TEXT 0 31 " P.1 := plot(u(x,0),x=0..Pi):\";"}}{INP_R 21 0 "> "
{TEXT 0 33 " P.2 := plot(u(x,1/8),x=0..Pi):\";"}}{COM_R 22 0{TEXT
 1 191 "\015Its rather difficult to see how one plot differs from
 the other,  but  if we place both plots on the same graph we get
 an idea about how the temperature changes as $t$ varies from 0 t
o 1/8.\015"}}{INP_R 23 0 "> "{TEXT 0 12 "with(plots):"}}{INP_R 24
 0 "> "{TEXT 0 19 "display([P.1,P.2]);"}}{COM_R 25 0{TEXT 1 111 "
\015In order to view changes as t changes from 2/8 to 7/8 in incr
ements of 1/8 we perform the following \"do\" loop."}}{COM_R 26 0
{TEXT 1 0 ""}}{INP_R 27 0 "> "{TEXT 0 21 "for i from 3 to 8 do "}
}{INP_R 28 0 "> "{TEXT 0 36 " P.i := plot(u(x,(i-1)/8),x=0..Pi): \+
"}}{INP_R 29 0 "> "{TEXT 0 3 "od:"}}{COM_R 30 0{TEXT 1 110 "Now w
e can get a multiple plot that shows how the heat varies as t cha
nges from 0 to 7/8 in increments of 1/8."}}{COM_R 31 0{TEXT 1 0 "
"}}{INP_R 32 0 "> "{TEXT 0 27 "display([seq(P.i,i=1..8)]);"}}
{COM_R 33 0{TEXT 1 58 "This same information can be animated by u
sing the option "}}{COM_R 34 0{TEXT 1 69 "                       \+
                          \"insequence = true\"."}}{COM_R 35 0
{TEXT 1 128 "Thus we obtain an animated plot showing how the temp
erature in the bar varies as  t  varies from 0 to 7/8 in incremen
ts of 1/8.\015"}}{INP_R 36 0 "> "{TEXT 0 43 "display([seq(P.i,i=1
..8)],insequence=true);"}}{SEP_R 37 0}{INP_R 38 0 "> "{TEXT 0 0 "
"}}}{END}
