{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 84{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 38 "Chapter 12.6 Local and Global Extrema "}}{COM_R 4 0
{TEXT 1 149 "In this section  the problem of finding extreme valu
es of functions of more than one variable will be studied.  Consi
der the function  f  defined as:"}}{COM_R 5 0{TEXT 1 71 "        \+
                                f(x,y) = x y exp(-(x^2+y^2)/2)."}
}{COM_R 6 0{TEXT 1 76 "The function can be defined into a Maple V
 session by the following command."}}{COM_R 7 0{TEXT 1 0 ""}}
{INP_R 8 0 "> "{TEXT 0 36 "f := (x,y) -> x*y*exp(-(x^2+y^2)/2);"}
}{COM_R 9 0{TEXT 1 88 "\015To get an idea about extreme values co
nsider what a graph of this  function looks like:"}}{COM_R 10 0
{TEXT 1 0 ""}}{INP_R 11 0 "> "{TEXT 0 63 "plot3d(f(x,y),x=-3..3,y
=-3..3,style =patch,orientation=[70,65],"}}{INP_R 12 0 "> "{TEXT 
0 13 "axes=FRAMED);"}}{COM_R 13 0{TEXT 1 188 "\015This plot sugge
sts that there appears to be an extreme value in each quadrant. T
here appears to be minima in the second and fourth quadrants and \+
maxima in the first and third quadrants.  "}}{COM_R 14 0{TEXT 1 
80 "A contour plot is useful in finding the approximate location \+
of critical points."}}{COM_R 15 0{TEXT 1 0 ""}}{INP_R 16 0 "> "
{TEXT 0 13 " with(plots):"}}{INP_R 17 0 "> "{TEXT 0 36 "contourpl
ot(f(x,y),x=-3..3,y=-3..3);"}}{COM_R 18 0{TEXT 1 138 "\015In orde
r to find the exact location of the critical points for the funct
ion  f   analytically we need to determine the first derivatives.
"}}{COM_R 19 0{TEXT 1 0 ""}}{INP_R 20 0 "> "{TEXT 0 21 "fx := dif
f(f(x,y),x);"}}{COM_R 21 0{TEXT 1 40 "\015The expression  f x  ca
n be simplified."}}{COM_R 22 0{TEXT 1 0 ""}}{INP_R 23 0 "> "{TEXT
 0 17 "fx := factor(fx);"}}{INP_R 24 0 "> "{TEXT 0 29 "fy := fact
or(diff(f(x,y),y));"}}{COM_R 25 0{TEXT 1 83 "\015The critical poi
nts are the points for which  fx  and  fy  vanish  simultaneously
."}}{COM_R 26 0{TEXT 1 0 ""}}{INP_R 27 0 "> "{TEXT 0 32 "SOL := s
olve(\{fx=0,fy=0\},\{x,y\});"}}{COM_R 28 0{TEXT 1 37 "\015Thus th
ere are five critical points:"}}{COM_R 29 0{TEXT 1 47 " (0,0),  (
1,1),  (1,-1),  (-1,1), and  (-1,-1)."}}{COM_R 30 0{TEXT 1 91 "In
spection of the plots made above suggest that the points (1,1)  a
nd  (-1,-1)  are maxima,"}}{COM_R 31 0{TEXT 1 107 "and points  (-
1,1),  (1,-1)  are minima.  Finally,  the plots also  suggest tha
t  (0,0)  is a saddle point."}}{COM_R 32 0{TEXT 1 102 "In order t
o get a better focus on this  plot the surfaces in a  neighborhoo
d of each critical point.  "}}{COM_R 33 0{TEXT 1 42 "First check \+
out a neighborhood of  (0,0). "}}{COM_R 34 0{TEXT 1 0 ""}}{INP_R 
35 0 "> "{TEXT 0 60 "plot3d(f(x,y),x=-0.1..0.1,y=-0.1..0.1,orient
ation = [70,65],"}}{INP_R 36 0 "> "{TEXT 0 20 "style=patchcontour
);"}}{COM_R 37 0{TEXT 1 179 "\015Indeed this plot provides furthe
r evidence that the point  (0,0)  is a  saddle. Now check the nei
ghborhood of the point  (1,1)  which the previous plots suggest t
o be  a maximum."}}{COM_R 38 0{TEXT 1 0 ""}}{INP_R 39 0 "> "{TEXT
 0 58 "plot3d(f(x,y),x=0.9..1.1,y=0.9..1.1,orientation = [70,65],
"}}{INP_R 40 0 "> "{TEXT 0 20 "style=patchcontour);"}}{COM_R 41 0
{TEXT 1 179 "\015In the same way, one  can obtain geometric evide
nce by plotting around the other two  critical points, but instea
d we will use analytic means to characterize the critical points.
"}}{COM_R 42 0{TEXT 1 53 "Recall that if  (a,b)  is a critical po
int of  f  and"}}{COM_R 43 0{TEXT 1 55 "            Delta = f xx \+
(a,b)f yy (a,b)-f xy (a,b)^2, "}}{COM_R 44 0{TEXT 1 5 "then "}}
{COM_R 45 0{TEXT 1 61 "1.  If  Delta > 0  and  f xx (a,b) > 0,  (
a,b)  is a minimum."}}{COM_R 46 0{TEXT 1 61 "2.  If  Delta > 0  a
nd  fxx (a,b) < 0,   (a,b)  is a maximum."}}{COM_R 47 0{TEXT 1 52
 "3.  If  Delta < 0,  then   (a,b)  is a saddle point."}}{COM_R 
48 0{TEXT 1 41 "4.  If  Delta = 0,   anything can happen."}}
{COM_R 49 0{TEXT 1 0 ""}}{INP_R 50 0 "> "{TEXT 0 32 "fxx := facto
r(diff(f(x,y),x,x));"}}{INP_R 51 0 "> "{TEXT 0 32 "fxy := factor(
diff(f(x,y),x,y));"}}{INP_R 52 0 "> "{TEXT 0 32 "fyy := factor(di
ff(f(x,y),y,y));"}}{INP_R 53 0 "> "{TEXT 0 31 "Delta := factor(fx
x*fyy-fxy^2);"}}{COM_R 54 0{TEXT 1 57 "\015We now apply the test \+
using the  critical point (0,0): \015"}}{INP_R 55 0 "> "{TEXT 0 
26 "eval(subs(x=0,y=0,Delta));"}}{COM_R 56 0{TEXT 1 71 "\015Thus \+
 Delta < 0 at the point  (0,0)  and this point is a saddle point.
"}}{COM_R 57 0{TEXT 1 63 "Now check the values of  fxx  and  Delt
a  at the point  (1,1). "}}{COM_R 58 0{TEXT 1 0 ""}}{INP_R 59 0 "
> "{TEXT 0 26 "subs(x=1,y=1,[fxx,Delta]);"}}{COM_R 60 0{TEXT 1 
219 "\015Since the number e is positive the last Maple V output m
eans that   fxx <  0,   and  Delta > 0  at (1,1), which proves th
at (1,1)  is  the point where the  maximum occurs.  We can use \"
evalf\" to approximate the values."}}{COM_R 61 0{TEXT 1 0 ""}}
{INP_R 62 0 "> "{TEXT 0 9 "evalf(\");"}}{COM_R 63 0{TEXT 1 53 "\0
15Next a check of the critical point  (-1,1)  is made."}}{COM_R 
64 0{TEXT 1 0 ""}}{INP_R 65 0 "> "{TEXT 0 27 "subs(x=-1,y=1,[fxx,
Delta]);"}}{COM_R 66 0{TEXT 1 65 "\015Thus  (-1,1)  is a minimum.
  Finally,  for (-1,-1)  and (1,-1). "}}{COM_R 67 0{TEXT 1 0 ""}}
{INP_R 68 0 "> "{TEXT 0 55 "subs(x=-1,y=-1,[fxx,Delta]);subs(x=1,
y=-1,[fxx,Delta]);"}}{COM_R 69 0{TEXT 1 71 "\015You may conclude \+
that  (-1,-1)  is a maximum and  (1,-1) is a minimum."}}{COM_R 70
 0{TEXT 1 115 "The  following Maple V segment shows how to  obtai
n the value of   f(x,y)  at the four extreme values using  \"zip\
":"}}{COM_R 71 0{TEXT 1 0 ""}}{INP_R 72 0 "> "{TEXT 0 31 "zip(f,[
1,-1,-1,1],[1,1,-1,-1]);"}}{COM_R 73 0{TEXT 1 72 "\015The approxi
mate extreme values to three decimal places are as follows: "}}
{COM_R 74 0{TEXT 1 0 ""}}{INP_R 75 0 "> "{TEXT 0 11 "evalf(\",3);
"}}{SEP_R 76 0}{INP_R 77 0 "> "{TEXT 0 0 ""}}{COM_R 78 0{TEXT 1 
61 "\015The following table summarizes the results for this probl
em."}}{COM_R 79 0{TEXT 1 64 "  (a,b)         fxx(a,b)     Delta  \+
       Conclusion\011    f(x,y)"}}{COM_R 80 0{TEXT 1 61 "  (0,0) \+
 \011        0           Negative      Saddle Point\011\011 0 "}}
{COM_R 81 0{TEXT 1 46 "(1,1) \011   Negative     Positive\011 Max
imum\011\011.368"}}{COM_R 82 0{TEXT 1 65 "(-1,1)   \011   Positiv
e      Positive      Minimum            -.368"}}{COM_R 83 0{TEXT 
1 65 "(-1,-1)    Negative      Positive     Maximum              \+
 .368 "}}{COM_R 84 0{TEXT 1 66 "(1,-1)       Positive      Positi
ve    Minimum\011              -.368"}}{COM_R 85 0{TEXT 1 0 ""}}}
{END}
