{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 47{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 39 "Chapter 12.7  Constrained Optimization "}}{COM_R 4 0
{TEXT 1 119 "We illustrate how Maple V can be used to solve optim
ization problems that have constraints with the following example
. "}}{COM_R 5 0{TEXT 1 99 "Example:  Find the dimensions of the b
ox of largest volume which can be fitted inside the ellipsoid"}}
{COM_R 6 0{TEXT 1 72 "                                   x^2/(a^2
) + y^2/(b^2) + z^2/(c^2) = 1"}}{COM_R 7 0{TEXT 1 69 "assuming th
at each edge of the box is parallel to a co-ordinate axis."}}
{COM_R 8 0{TEXT 1 10 "Solution: "}}{COM_R 9 0{TEXT 1 393 "Since e
ach of the eight vertices of the box must lie on the ellipsoid, l
et the vertex in the first octant have coordinates  (x,y,z).   Th
e dimensions of the box are  2x,  2y, 2z,   and its volume is  V \+
= 8xyz.   The problem  is to find the values of  (x,y,z),   that \+
lie on the ellipsoid and that make  V  as large as possible.    T
hus we wish to optimize  V = 8xyz  subject to the constraint:"}}
{COM_R 10 0{TEXT 1 61 "                                          \+
      g(x,y,z) = 1,"}}{COM_R 11 0{TEXT 1 5 "where"}}{COM_R 12 0
{TEXT 1 70 "                        g(x,y,z) =  x^2/(a^2) + y^2/(
b^2) + z^2/(c^2)."}}{COM_R 13 0{TEXT 1 42 "Thus we must solve the
 equations given by "}}{COM_R 14 0{TEXT 1 67 "                   \+
                     grad(V) =  lambda grad(g), "}}{COM_R 15 0
{TEXT 1 60 "for  x,y,z,   and  lambda,  subject to the above cons
traint."}}{COM_R 16 0{TEXT 1 39 "First define  V  and  g  using M
aple V."}}{COM_R 17 0{TEXT 1 0 ""}}{INP_R 18 0 "> "{TEXT 0 13 "V \+
:= 8*x*y*z;"}}{INP_R 19 0 "> "{TEXT 0 29 "g := x^2/a^2+y^2/b^2+z^
2/c^2;"}}{INP_R 20 0 "> "{TEXT 0 13 "with(linalg):"}}{COM_R 21 0
{TEXT 1 0 ""}}{COM_R 22 0{TEXT 1 109 "The Maple V procedure \"gra
d\" from the linear algebra package can be used to compute the  n
ecessary gradients."}}{COM_R 23 0{TEXT 1 0 ""}}{INP_R 24 0 "> "
{TEXT 0 25 "GradV := grad(V,[x,y,z]);"}}{INP_R 25 0 "> "{TEXT 0 
25 "Gradg := grad(g,[x,y,z]);"}}{COM_R 26 0{TEXT 1 67 "Now one ca
n solve the relevent equations for  (x,y,z)  and  lambda."}}
{COM_R 27 0{TEXT 1 0 ""}}{INP_R 28 0 "> "{TEXT 0 72 "SOL := solve
(\{g=1,seq(GradV[i]=lambda*Gradg[i],i=1..3)\},\{x,y,z,lambda\});"
}}{COM_R 29 0{TEXT 1 177 "Maple has returned ten sets of answers.
  We must now choose those  that are correct.  Since we are seeki
ng values of  x,y,  and  z  that are positive we can  exclude all
 answers"}}{COM_R 30 0{TEXT 1 130 "that cause these values to be \+
otherwise.  First note that the symbol  %1   is given in terms of
 \"RootOf\"  a quadratic expression. "}}{COM_R 31 0{TEXT 1 0 ""}}
{INP_R 32 0 "> "{TEXT 0 14 "allvalues(%1);"}}{COM_R 33 0{TEXT 1 
157 "If we select the positive roots in each case and inspect the
 various  ten sets of points in SOL above we see that only one an
swer is  eligible to be correct:"}}{COM_R 34 0{TEXT 1 63 "       \+
  z =  %1,   y=  %1b/c,   x= %1a/c,    lambda = 4 %1ab. "}}{COM_R
 35 0{TEXT 1 64 "Thus  the desired values of $x_\{opt\},y_\{opt\}
,$ and $z_\{opt\}$ are"}}{COM_R 36 0{TEXT 1 0 ""}}{INP_R 37 0 "> \+
"{TEXT 0 58 "xopt:= allvalues(%1)[1]*a/c; yopt := allvalues(%1)[1
]*b/c;"}}{INP_R 38 0 "> "{TEXT 0 24 "zopt :=allvalues(%1)[1];"}}
{COM_R 39 0{TEXT 1 65 "With these values assigned we conclude tha
t the maximum volume is"}}{COM_R 40 0{TEXT 1 0 ""}}{INP_R 41 0 ">
 "{TEXT 0 29 "subs(x=xopt,y=yopt,z=zopt,V);"}}{COM_R 42 0{TEXT 1 
92 "And with these values substituted into g we see that indeed  \+
(x,y,z) satisfy the constraint."}}{COM_R 43 0{TEXT 1 0 ""}}{INP_R
 44 0 "> "{TEXT 0 29 "subs(x=xopt,y=yopt,z=zopt,g);"}}{SEP_R 45 0
}{INP_R 46 0 "> "{TEXT 0 0 ""}}{COM_R 47 0{TEXT 1 0 ""}}{COM_R 48
 0{TEXT 1 0 ""}}}{END}
