{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 146{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 0 ""}}{COM_R 4 0{TEXT 1 53 "Chapter 13.1  Integration wit
h More Than One Variable"}}{COM_R 5 0{TEXT 1 193 "Let R be a clos
ed region in the plane and  f a function defined on R.  In this s
ection we will discuss how Maple V can be used to study two-varia
ble integrals over regions like R in the plane. "}}{COM_R 6 0
{TEXT 1 51 "In particular,  let  the region R be the rectangle:"}
}{COM_R 7 0{TEXT 1 74 "                                          \+
      a <= x <= b,  c <= x <= d."}}{COM_R 8 0{TEXT 1 107 "Then th
e integral is defined to be limit, as m and n tend to infinity, o
f double sums of terms of the form:"}}{COM_R 9 0{TEXT 1 80 "     \+
           sum(sum(f(a+i (delx),b + j (dely)) delx dely,i=0..n-1)
,j=0..m-1)"}}{COM_R 10 0{TEXT 1 43 "where delx = (b-a)/n  and  de
ly  = (d-c)/m."}}{COM_R 11 0{TEXT 1 109 "We will now illustrate t
his with a specific example.  Lets's  approximate the double inte
gral of the function"}}{COM_R 12 0{TEXT 1 62 "                   \+
                     f(x,y) = 7 - x^2 - y^2"}}{COM_R 13 0{TEXT 1 
38 "over the rectengular region R given by"}}{COM_R 14 0{TEXT 1 
67 "                                        0 <= x <=  2,  2 <= y
 <= 3."}}{COM_R 15 0{TEXT 1 89 "In other words we wish to approxi
mate the volume of the region lying above  R  and under "}}{COM_R
 16 0{TEXT 1 12 "the graph of"}}{COM_R 17 0{TEXT 1 66 "          \+
                              z = f(x,y) = 7 - x^2 - y^2"}}{COM_R
 18 0{TEXT 1 29 "First we define the function."}}{COM_R 19 0{TEXT
 1 0 ""}}{INP_R 20 0 "> "{TEXT 0 26 "f := (x,y) -> 7 - x^2 - y;"}
}{COM_R 21 0{TEXT 1 60 "\015Next we plot the solid whose volume w
e wish to approximate."}}{COM_R 22 0{TEXT 1 0 ""}}{INP_R 23 0 "> \+
"{TEXT 0 71 " plot3d(f(x,y),x=0..2,y=2..3,axes=BOXED,tickmarks=[3
,3,3],style=PATCH);"}}{COM_R 24 0{TEXT 1 70 "\015Before we begin \+
let's review the Maple V command \"sum\".  For example:"}}{COM_R 
25 0{TEXT 1 0 ""}}{INP_R 26 0 "> "{TEXT 0 31 " r := sum(1/n^2,n=1
..infinity);"}}{COM_R 27 0{TEXT 1 93 "\015This is the sum of 1/n^
2 with  n  having the values 1,2,3, ...  all the  way up to infin
ity."}}{COM_R 28 0{TEXT 1 152 "For our first approximation of the
 double integral let's use 625  subrectangles by selecting  m and
  n  each to be 25.  Execute the following commands.\015"}}{INP_R
 29 0 "> "{TEXT 0 21 " a:=0;b:=2;c:=2;d:=3;"}}{INP_R 30 0 "> "
{TEXT 0 13 " m:=25;n:=25;"}}{INP_R 31 0 "> "{TEXT 0 33 "delx := (
b-a)/m; dely := (d-c)/n;"}}{INP_R 32 0 "> "{TEXT 0 70 "approxvol:
=sum(sum(f(a+i*delx,c+j*dely)*delx,i=0..m-1)*dely,j=0..n-1);"}}
{INP_R 33 0 "> "{TEXT 0 17 "evalf(approxvol);"}}{COM_R 34 0{TEXT 
1 118 "\015Let's see how much of a change there is if we select  \+
m  and  n  to be 100 so that there will be 10000 subrectangles."}
}{COM_R 35 0{TEXT 1 0 ""}}{INP_R 36 0 "> "{TEXT 0 18 "m := 100; n
:= 100;"}}{INP_R 37 0 "> "{TEXT 0 32 "delx:= (b-a)/m; dely := (d-
c)/n;"}}{INP_R 38 0 "> "{TEXT 0 70 "approxvol:=sum(sum(f(a+i*delx
,c+j*dely)*delx,i=0..m-1)*dely,j=0..n-1);"}}{INP_R 39 0 "> "{TEXT
 0 17 "evalf(approxvol);"}}{COM_R 40 0{TEXT 1 196 "\015There is a
 noticeble change in the value we obtained.  The more rectangles \+
the region is divided into for summation,  the more  accurate the
 result.  Let's go wild and let  m  and  n be  10000.  "}}{COM_R 
41 0{TEXT 1 40 "This produces 100,000,000 subrectangles."}}{COM_R
 42 0{TEXT 1 0 ""}}{INP_R 43 0 "> "{TEXT 0 22 "m := 10000; n:= 10
000;"}}{INP_R 44 0 "> "{TEXT 0 28 "delx:=(b-a)/m;dely:=(d-c)/n;"}
}{INP_R 45 0 "> "{TEXT 0 70 "approxvol:=sum(sum(f(a+i*delx,c+j*de
ly)*delx,i=0..m-1)*dely,j=0..n-1);"}}{INP_R 46 0 "> "{TEXT 0 17 "
evalf(approxvol);"}}{COM_R 47 0{TEXT 1 247 "\015Note that the val
ue changed again,  but not by as much as before.  Perhaps we can \+
feel confident that at least the first two digits of our approxim
ation are correct. Let's see what Maple V returns for a value if \+
we evaluate the ITERATED integral:"}}{COM_R 48 0{TEXT 1 0 ""}}
{INP_R 49 0 "> "{TEXT 0 32 "insideint := int(f(x,y),y=2..3);"}}
{INP_R 50 0 "> "{TEXT 0 22 "int(insideint,x=0..2);"}}{INP_R 51 0 
"> "{TEXT 0 12 "evalf(19/3);"}}{COM_R 52 0{TEXT 1 400 "\015The va
lue obtained by summation with 100,000,000 subrectangles was clos
e but by no means exact.   In most cases it is easier and more  a
ccurate to use the buit-in Maple V command \"int\" to calculate i
ntegrals,  but ever now and then you'll run across an example tha
t even Maple~V can't do.  If we are only wanting the answer to th
is problem we could have accomplished that with the following com
mand."}}{COM_R 53 0{TEXT 1 0 ""}}{INP_R 54 0 "> "{TEXT 0 31 "int(
int(f(x,y),y=2..3),x=0..2);"}}{COM_R 55 0{TEXT 1 183 "\015Sometim
es even Maple V can't evaluate an iterated integral in an obvious
 way.  For example, consider integrating the function exp(y^2) ov
er the triangular region  bounded between the"}}{COM_R 56 0{TEXT 
1 208 "lines y = x,  y = 1,  and the y-axis.  Suppose you wish to
 perform the iterated integral by integrating with respect to y f
irst.  Let's do two integrations separately so that we can follow
 the  Maple V steps."}}{COM_R 57 0{TEXT 1 0 ""}}{INP_R 58 0 "> "
{TEXT 0 34 "insideint := int(exp(y^2),y=x..1);"}}{COM_R 59 0{TEXT
 1 0 ""}}{COM_R 60 0{TEXT 1 78 "This seems like a strange answer,
  but Maple V can complete the answer anyway."}}{COM_R 61 0{TEXT 
1 0 ""}}{INP_R 62 0 "> "{TEXT 0 22 "int(insideint,x=0..1);"}}
{COM_R 63 0{TEXT 1 26 "\015Had we issued the command"}}{COM_R 64 
0{TEXT 1 0 ""}}{INP_R 65 0 "> "{TEXT 0 33 "int(int(exp(y^2),y=x..
1),x=0..1);"}}{COM_R 66 0{TEXT 1 66 "\015We would have missed the
 excitement that went on with the inside "}}{COM_R 67 0{TEXT 1 9 
"integral."}}{COM_R 68 0{TEXT 1 167 "If we had to work the proble
m by hand, we could make the integration  much more straightforwa
rd by reversing the order of integration,  producing the iterated
 integral"}}{COM_R 69 0{TEXT 1 0 ""}}{INP_R 70 0 "> "{TEXT 0 32 "
insideint:=int(exp(y^2),x=0..y);"}}{INP_R 71 0 "> "{TEXT 0 22 "in
t(insideint,y=0..1);"}}{COM_R 72 0{TEXT 1 184 "\015There are time
s when Maple V has the same problem that we have in trying to per
form the integration in the \"given\" order.  For example,  consi
der the iterated integral of the function"}}{COM_R 73 0{TEXT 1 
188 "x^3 sin(y^3)^2 over the region lying in the first quadrant b
ounded the parabola  y = x^2,  the horizontal line y  = 4.  If yo
u try to have Maple V compute this integral,  you will have to "}
}{COM_R 74 0{TEXT 1 54 "wait a long time to find out that Maple V
 can't do it."}}{COM_R 75 0{TEXT 1 0 ""}}{INP_R 76 0 "> "{TEXT 0 
41 "int(int(x^3*sin(y^3)^2,y=x^2..4),x=0..2);"}}{COM_R 77 0{TEXT 
1 0 ""}}{COM_R 78 0{TEXT 1 51 "However,  reversing the order of i
ntegration works."}}{COM_R 79 0{TEXT 1 0 ""}}{INP_R 80 0 "> "
{TEXT 0 44 "insideint:=int(x^3*sin(y^3)^2,x=0..sqrt(y));"}}{INP_R
 81 0 "> "{TEXT 0 29 "ANS := int(insideint,y=0..4);"}}{COM_R 82 0
{TEXT 1 70 "If we wish to have a 10 digit approximation to this e
xact value,  then"}}{COM_R 83 0{TEXT 1 0 ""}}{INP_R 84 0 "> "
{TEXT 0 11 "evalf(ANS);"}}{COM_R 85 0{TEXT 1 31 "As before the co
mbined command "}}{COM_R 86 0{TEXT 1 0 ""}}{INP_R 87 0 "> "{TEXT 
0 46 "int(int(x^3*sin(y^3)^2,x=0..sqrt(y)),y=0..4) ;"}}{COM_R 88 
0{TEXT 1 310 "would have produced the same result.  But remember \+
Maple V has its limits,  just like we do.  There are times when r
eversing the order of integration will not enable Maple V to solv
e a particular problem.  When this happens,  you either give up o
r turn to a numerical approximation scheme such as Riemann sums."
}}{COM_R 89 0{TEXT 1 71 "As example of a triple iterated integral
 let us consider the following "}}{COM_R 90 0{TEXT 1 8 "problem:"
}}{COM_R 91 0{TEXT 1 120 "Compute the mass of the cone bounded by
  z =   (x^2+y^2)^(1/2) and z = 3,   if the density is given by  \+
rho(x,y,z) = z. "}}{COM_R 92 0{TEXT 1 22 "We will plot the cone."
}}{COM_R 93 0{TEXT 1 0 ""}}{INP_R 94 0 "> "{TEXT 0 57 "plot3d(sqr
t(x^2+y^2),x=-3..3,y=-sqrt(9-x^2)..sqrt(9-x^2),"}}{INP_R 95 0 "> \+
"{TEXT 0 68 "style=PATCHNOGRID,axes=BOXED,tickmarks=[3,3,0],orien
tation=[20,65]);"}}{COM_R 96 0{TEXT 1 52 "\015The iterated integr
al which is equal to the mass is"}}{COM_R 97 0{TEXT 1 0 ""}}
{INP_R 98 0 "> "{TEXT 0 72 "int(int(int(z,z=sqrt(x^2+y^2)..3),y=-
sqrt(9-x^2)..sqrt(9-x^2)),x=-3..3);"}}{INP_R 99 0 "> "{TEXT 0 0 "
"}}{COM_R 100 0{TEXT 1 0 ""}}{COM_R 101 0{TEXT 1 0 ""}}{COM_R 102
 0{TEXT 1 0 ""}}{COM_R 103 0{TEXT 1 0 ""}}{COM_R 104 0{TEXT 1 0 "
"}}{COM_R 105 0{TEXT 1 119 "We illustrate how Maple V can be used
 to solve optimization problems that have constraints with the fo
llowing example. "}}{COM_R 106 0{TEXT 1 99 "Example:  Find the di
mensions of the box of largest volume which can be fitted inside \+
the ellipsoid"}}{COM_R 107 0{TEXT 1 72 "                         \+
          x^2/(a^2) + y^2/(b^2) + z^2/(c^2) = 1"}}{COM_R 108 0
{TEXT 1 69 "assuming that each edge of the box is parallel to a c
o-ordinate axis."}}{COM_R 109 0{TEXT 1 10 "Solution: "}}{COM_R 
110 0{TEXT 1 393 "Since each of the eight vertices of the box mus
t lie on the ellipsoid, let the vertex in the first octant have c
oordinates  (x,y,z).   The dimensions of the box are  2x,  2y, 2z
,   and its volume is  V = 8xyz.   The problem  is to find the va
lues of  (x,y,z),   that lie on the ellipsoid and that make  V  a
s large as possible.    Thus we wish to optimize  V = 8xyz  subje
ct to the constraint:"}}{COM_R 111 0{TEXT 1 61 "                 \+
                               g(x,y,z) = 1,"}}{COM_R 112 0{TEXT 
1 5 "where"}}{COM_R 113 0{TEXT 1 70 "                        g(x,
y,z) =  x^2/(a^2) + y^2/(b^2) + z^2/(c^2)."}}{COM_R 114 0{TEXT 1 
42 "Thus we must solve the equations given by "}}{COM_R 115 0
{TEXT 1 67 "                                        grad(V) =  la
mbda grad(g), "}}{COM_R 116 0{TEXT 1 60 "for  x,y,z,   and  lambd
a,  subject to the above constraint."}}{COM_R 117 0{TEXT 1 39 "Fi
rst define  V  and  g  using Maple V."}}{COM_R 118 0{TEXT 1 0 ""}
}{INP_R 119 0 "> "{TEXT 0 13 "V := 8*x*y*z;"}}{INP_R 120 0 "> "
{TEXT 0 29 "g := x^2/a^2+y^2/b^2+z^2/c^2;"}}{INP_R 121 0 "> "
{TEXT 0 13 "with(linalg):"}}{COM_R 122 0{TEXT 1 0 ""}}{COM_R 123 
0{TEXT 1 109 "The Maple V procedure \"grad\" from the linear alge
bra package can be used to compute the  necessary gradients."}}
{COM_R 124 0{TEXT 1 0 ""}}{INP_R 125 0 "> "{TEXT 0 25 "GradV := g
rad(V,[x,y,z]);"}}{INP_R 126 0 "> "{TEXT 0 25 "Gradg := grad(g,[x
,y,z]);"}}{COM_R 127 0{TEXT 1 68 "\015Now one can solve the relev
ent equations for  (x,y,z)  and  lambda."}}{COM_R 128 0{TEXT 1 0 
""}}{INP_R 129 0 "> "{TEXT 0 72 "SOL := solve(\{g=1,seq(GradV[i]=
lambda*Gradg[i],i=1..3)\},\{x,y,z,lambda\});"}}{COM_R 130 0{TEXT 
1 178 "\015Maple has returned ten sets of answers.  We must now c
hoose those  that are correct.  Since we are seeking values of  x
,y,  and  z  that are positive we can  exclude all answers"}}
{COM_R 131 0{TEXT 1 130 "that cause these values to be otherwise.
  First note that the symbol  %1   is given in terms of \"RootOf\
"  a quadratic expression. "}}{COM_R 132 0{TEXT 1 0 ""}}{INP_R 
133 0 "> "{TEXT 0 14 "allvalues(%1);"}}{COM_R 134 0{TEXT 1 158 "\
015If we select the positive roots in each case and inspect the v
arious  ten sets of points in SOL above we see that only one answ
er is  eligible to be correct:"}}{COM_R 135 0{TEXT 1 63 "        \+
 z =  %1,   y=  %1b/c,   x= %1a/c,    lambda = 4 %1ab. "}}{COM_R 
136 0{TEXT 1 64 "Thus  the desired values of $x_\{opt\},y_\{opt\}
,$ and $z_\{opt\}$ are"}}{COM_R 137 0{TEXT 1 0 ""}}{INP_R 138 0 "
> "{TEXT 0 58 "xopt:= allvalues(%1)[1]*a/c; yopt := allvalues(%1)
[1]*b/c;"}}{INP_R 139 0 "> "{TEXT 0 24 "zopt :=allvalues(%1)[1];"
}}{COM_R 140 0{TEXT 1 66 "\015With these values assigned we concl
ude that the maximum volume is"}}{COM_R 141 0{TEXT 1 0 ""}}{INP_R
 142 0 "> "{TEXT 0 29 "subs(x=xopt,y=yopt,z=zopt,V);"}}{COM_R 143
 0{TEXT 1 93 "\015And with these values substituted into g we see
 that indeed  (x,y,z) satisfy the constraint."}}{COM_R 144 0{TEXT
 1 0 ""}}{INP_R 145 0 "> "{TEXT 0 29 "subs(x=xopt,y=yopt,z=zopt,g
);"}}{COM_R 146 0{TEXT 1 0 ""}}{COM_R 147 0{TEXT 1 0 ""}}}{END}
