{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 54{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 80 "Chapter 13.2  Using the Monte Carlo Method to Approxi
mate Integrals Numerically\}"}}{COM_R 4 0{TEXT 1 408 "As was ment
ioned in the preceding section,  there are integration problems f
or which even Maple V can not find an elementary antiderivative. \+
Consequently numerical methods must be utilized.  In this section
 we use a scheme called the Monte Carlo method.  Consider the uni
t circle as inside the square with vertices (-1,-1),  (1,-1),  (1
,1),  (-1,1).  The following commands plot the graph of this situ
ation.\015"}}{INP_R 5 0 "> "{TEXT 0 12 "?plot[color]"}}{INP_R 6 0
 "> "{TEXT 0 12 "with(plots):"}}{INP_R 7 0 "> "{TEXT 0 62 "P1 := \+
polygonplot([[-1,-1],[1,-1],[1,1],[-1,1]],color=BLUE):\";"}}
{INP_R 8 0 "> "{TEXT 0 21 "P2 := polarplot(1):\";"}}{INP_R 9 0 ">
 "{TEXT 0 37 "display([P1,P2],scaling=constrained);"}}{COM_R 10 0
{TEXT 1 0 ""}}{COM_R 11 0{TEXT 1 285 "Imagine randomly throwing d
arts at this figure.  We would expect that some darts would land \+
in the square outside the circle and some  would land inside the \+
circle.  It seems reasonable to guess, that after many dart tosse
s, the ratio of the number of darts landing inside the circle, "}
}{COM_R 12 0{TEXT 1 230 "NR, to the total number,  N,  of darts t
hrown gives an estimate of the ratio of the area of the circle to
 the area of the square.  Since the area of the square is 4  an e
stimate for the area of the circle would be given by 4NR/N. "}}
{COM_R 13 0{TEXT 1 464 "Maple V has a built-in procedure \"rand\"
  which allows us to simulate therandom tossing of darts.  There \+
are a number of different syntaxes for using this procedure,  but
 here we will call the routine with one arqument.  The command  \
"rand(Q)\" where Q is a positive integer returns a procedure that
 when called outputs an integer which is (pseudo-) randomly chose
n from the set of integers  \{0,1,..., Q-1\}.   The following Map
le V segments illustrates the method.  "}}{COM_R 14 0{TEXT 1 100 
"First we produce two functions,  x and y,  which randomly genera
tes a pair inside the given square. "}}{COM_R 15 0{TEXT 1 0 ""}}
{INP_R 16 0 "> "{TEXT 0 31 "x := evalf(rand(10001)/5000-1):"}}
{INP_R 17 0 "> "{TEXT 0 31 "y := evalf(rand(10001)/5000-1):"}}
{COM_R 18 0{TEXT 1 80 "\015Next we prepare to make 1000 tosses at
 the square and count the number of times"}}{COM_R 19 0{TEXT 1 29
 "the dart lands in the circle:"}}{COM_R 20 0{TEXT 1 0 ""}}{INP_R
 21 0 "> "{TEXT 0 10 "N := 1000;"}}{INP_R 22 0 "> "{TEXT 0 8 "NR \+
:= 0;"}}{INP_R 23 0 "> "{TEXT 0 20 "for i from 1 to N do"}}{INP_R
 24 0 "> "{TEXT 0 40 "if x()^2 + y()^2 < 1 then NR := NR +1 fi"}}
{INP_R 25 0 "> "{TEXT 0 3 "od:"}}{COM_R 26 0{TEXT 1 230 "\015Sinc
e the ratio NR/N should approximate the ratio of the area of the \+
circle to the area of the square, and the area of the square is 4
 ,we conclude that four times this ratio should be an approximati
on for the area of the circle."}}{COM_R 27 0{TEXT 1 0 ""}}{INP_R 
28 0 "> "{TEXT 0 14 "4*evalf(NR/N);"}}{COM_R 29 0{TEXT 1 315 "\01
5The last Maple V output should be an approximation for the area \+
of the unit circle which is Pi.  So the approximation is not so g
ood,  but if we use larger values for N, we might expect better r
esults.  In any case,  this gives us an estimate of the double in
tegral of the constant one function  over the region R."}}{COM_R 
30 0{TEXT 1 79 "As another example,  consider approximating the d
ouble integral of the function"}}{COM_R 31 0{TEXT 1 64 "         \+
                                       exp(-(x^2+y^2)) "}}{COM_R 
32 0{TEXT 1 75 "over the unit square 0 <= x <= 1,  0 <= y <= 1,  \+
by the Monte Carlo method."}}{COM_R 33 0{TEXT 1 95 "This  integra
l gives the volume of the solid lying above the unit square and u
nder the surface "}}{COM_R 34 0{TEXT 1 63 "                      \+
                  z =  exp(-(x^2+y^2)).  "}}{COM_R 35 0{TEXT 1 
321 "Since this solid lies within the unit cube 0 <= x <= 1,  0 <
= y <= 1,  0 <= z <= 1,  and the unit cube has volume 1  the rati
o,  NR/N, should be an estimate for the volume.  In this example \+
we  add to the count NR whenever the randomly generated point (x,
y,z) which lies in the cube satisfies  0 <=  z <= exp(-(x^2+y^2))
."}}{COM_R 36 0{TEXT 1 75 "The following Maple V segment illustra
tes how the Monte Carlo method can be"}}{COM_R 37 0{TEXT 1 29 "im
plemented with 1000 trials."}}{COM_R 38 0{TEXT 1 0 ""}}{INP_R 39 
0 "> "{TEXT 0 29 "x := evalf(rand(10000)/9999):"}}{INP_R 40 0 "> \+
"{TEXT 0 29 "y := evalf(rand(10000)/9999):"}}{INP_R 41 0 "> "
{TEXT 0 29 "z := evalf(rand(10000)/9999):"}}{INP_R 42 0 "> "{TEXT
 0 10 "N := 1000:"}}{INP_R 43 0 "> "{TEXT 0 8 "NR := 0:"}}{INP_R 
44 0 "> "{TEXT 0 20 "for i from 1 to N do"}}{INP_R 45 0 "> "{TEXT
 0 46 "if z() < exp(-x()^2-y()^2) then NR := NR +1 fi"}}{INP_R 46
 0 "> "{TEXT 0 3 "od:"}}{INP_R 47 0 "> "{TEXT 0 12 "evalf(NR/N);"
}}{COM_R 48 0{TEXT 1 152 "\015The last Maple V output gives us an
 estimate for the value of the integral.  As a comparison let us \+
use Maple V to estimate the value of this integral:"}}{COM_R 49 0
{TEXT 1 0 ""}}{INP_R 50 0 "> "{TEXT 0 35 "FIRST := int(exp(-t^2-s
^2),t=0..1);"}}{INP_R 51 0 "> "{TEXT 0 25 "evalf(int(FIRST,s=0..1
));"}}{SEP_R 52 0}{INP_R 53 0 "> "{TEXT 0 0 ""}}{COM_R 54 0{TEXT 
1 80 "\015Thus to 10 digits of accuracy the value of the interval
 is around 0.5577462855."}}{COM_R 55 0{TEXT 1 0 ""}}}{END}
