{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 111{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 56 "Chapter 13.3 Two-Variable Integrals in Polar Coordina
tes"}}{COM_R 4 0{TEXT 1 157 "In this section we illustrate how Ma
ple V can be used to compute certain integration problems using p
olar coordinates:   x = r cos(theta),  y = r sin(theta)."}}{COM_R
 5 0{TEXT 1 52 "Suppose that you are asked to integrate the funct
ion"}}{COM_R 6 0{TEXT 1 66 "                                     \+
   f(x,y) = 1/(x^2+y^2)^(3/2)"}}{COM_R 7 0{TEXT 1 71 "over  the p
ie-shaped annular region R which lies in the first quadrant "}}
{COM_R 8 0{TEXT 1 32 "bounded between the two circles:"}}{COM_R 9
 0{TEXT 1 72 "                                        x^2 + y^2 =
 1 and x^2 + y^2 = 4."}}{COM_R 10 0{TEXT 1 16 " and the lines  "}
}{COM_R 11 0{TEXT 1 66 "                                         \+
       y = 0  and y = x. "}}{COM_R 12 0{TEXT 1 0 ""}}{COM_R 13 0
{TEXT 1 132 "As a first step plot the region  R  using Maple V an
d rectangular coordinates.  The region  R is plotted by the follo
wing commands.\015"}}{INP_R 14 0 "> "{TEXT 0 12 "with(plots):"}}
{INP_R 15 0 "> "{TEXT 0 74 "P1 := plot(sqrt(1-x^2),x=1/sqrt(2)..1
):#The arc of the circle x^2 + y^2 =1"}}{INP_R 16 0 "> "{TEXT 0 
69 "P2 := plot(sqrt(4-x^2),x=sqrt(2)..2):\011# The arc of circle \+
x^2+y^2 = 4"}}{INP_R 17 0 "> "{TEXT 0 53 "P3 := plot(x,x=1/sqrt(2
)..sqrt(2)):  # The line y = x"}}{COM_R 18 0{TEXT 1 0 ""}}{INP_R 
19 0 "> "{TEXT 0 59 "display(\{P1,P2,P3\},view = [0..2,0..2],scal
ing=constrained);"}}{COM_R 20 0{TEXT 1 0 ""}}{COM_R 21 0{TEXT 1 
281 " Can you set up a double iterated  integral to evaluate this
 double integral? It is quite a difficult task that requires brea
king the region R up  into various subregions.  However,  the int
egral becomes quite simple in polar coordinates.  We first plot i
t using Maple V and polar "}}{COM_R 22 0{TEXT 1 14 "coordinates. \+
\015"}}{INP_R 23 0 "> "{TEXT 0 65 "P1 := plot([2,t,t=0..Pi/4],0..
2,0..2,coords=polar): # Circle r= 2"}}{INP_R 24 0 "> "{TEXT 0 65 
"P2 := plot([1,t,t=0..Pi/4],0..2,0..2,coords=polar): # Circle r =
1"}}{INP_R 25 0 "> "{TEXT 0 64 "P3 := plot([t,Pi/4,t=1..2],0..2,0
..2,coords=polar): # Line y = x"}}{INP_R 26 0 "> "{TEXT 0 40 "dis
play(\{P1,P2,P3\},scaling=constrained);"}}{COM_R 27 0{TEXT 1 52 "
\015In polar coordinates the integral is the following:"}}{COM_R 
28 0{TEXT 1 0 ""}}{INP_R 29 0 "> "{TEXT 0 47 "I1 := Int(Int((1/r^
3)*r,r=1..2),theta=0..Pi/4);"}}{INP_R 30 0 "> "{TEXT 0 16 "I1 := \+
value(I1);"}}{INP_R 31 0 "> "{TEXT 0 37 "int(int(1/r^2,r=1..2),th
eta=0..Pi/4);"}}{COM_R 32 0{TEXT 1 218 "\015It is interesting to \+
observe that if we plot the region R  using the  very same \"plot
\"command but omitting the \"coords = polar\"  we obtain a rectan
gular region which provides the limits of integration for the pro
blem."}}{COM_R 33 0{TEXT 1 0 ""}}{INP_R 34 0 "> "{TEXT 0 38 "P1 :
= plot([2,t,t=0..Pi/4],0..2,0..2):"}}{INP_R 35 0 "> "{TEXT 0 38 "
P2 := plot([1,t,t=0..Pi/4],0..2,0..2):"}}{INP_R 36 0 "> "{TEXT 0 
38 "P3 := plot([t,Pi/4,t=1..2],0..2,0..2):"}}{INP_R 37 0 "> "
{TEXT 0 40 "display(\{P1,P2,P3\},scaling=constrained);"}}{COM_R 
38 0{TEXT 1 195 "\015The integral of a function  F(r, theta)  ove
r this region has the same limits as the integral we had above in
 polar coordinates.  The rule is that the integrand in the (u,v) \+
coordinates becomes:"}}{COM_R 39 0{TEXT 1 78 "                   \+
             f(x(u,v),y(u,v))|jacobian(x(u,v),y(u,v))| dudv"}}
{COM_R 40 0{TEXT 1 92 "For example, in the problem that we just d
id the integrand using rectangular coordinates is "}}{COM_R 41 0
{TEXT 1 67 "                                                1/(x^
2+y^2)^(3/2). "}}{COM_R 42 0{TEXT 1 85 "Lets use the jacobian to \+
determine the integrand using polar coordinates and Maple V:"}}
{COM_R 43 0{TEXT 1 0 ""}}{COM_R 44 0{TEXT 1 0 ""}}{COM_R 45 0
{TEXT 1 104 "First we call up the linear algebra package so that \+
we can we use the  procedures \"jacobian\" and \"det\". "}}{COM_R
 46 0{TEXT 1 0 ""}}{INP_R 47 0 "> "{TEXT 0 13 "with(linalg):"}}
{COM_R 48 0{TEXT 1 77 "\015Now we compute the absolute value of t
he determinant of the jacobian matrix."}}{COM_R 49 0{TEXT 1 0 ""}
}{INP_R 50 0 "> "{TEXT 0 70 "dA :=(det(jacobian([r*cos(theta),r*s
in(theta)],[r,theta])))*dr*dtheta;"}}{INP_R 51 0 "> "{TEXT 0 19 "
dA := simplify(dA);"}}{INP_R 52 0 "> "{TEXT 0 59 "F := subs(x=r*c
os(theta),y=r*sin(theta),1/(x^2+y^2)^(3/2));"}}{INP_R 53 0 "> "
{TEXT 0 17 "F := simplify(F);"}}{INP_R 54 0 "> "{TEXT 0 32 "simpl
ify(expand(F)*dA,symbolic);"}}{COM_R 55 0{TEXT 1 67 "The last res
ult gives the integrand that was used in  this example."}}{COM_R 
56 0{TEXT 1 0 ""}}{COM_R 57 0{TEXT 1 41 "Example:   Convert the i
terated integral "}}{COM_R 58 0{TEXT 1 76 "                      \+
  int(int(f(x,y),y=-sqrt(1-x^2)..sqrt(1-x^2)),x=-1..0)"}}{COM_R 
59 0{TEXT 1 48 "to an iterated integral using polar coordinates."
}}{COM_R 60 0{TEXT 1 138 "Solution: The region  R  over which thi
s integration  takes place is the half disk inside the unit circl
e and to the left of the  y  axis."}}{COM_R 61 0{TEXT 1 0 ""}}
{INP_R 62 0 "> "{TEXT 0 62 "plot(\{[1,t,t=Pi/2..3*Pi/2],[t,Pi/2,t
=0..1],[t,3*Pi/2,t=0..1]\},"}}{INP_R 63 0 "> "{TEXT 0 37 "coords \+
= polar,scaling = constrained,"}}{INP_R 64 0 "> "{TEXT 0 27 "xtic
kmarks=2,ytickmarks=2);"}}{COM_R 65 0{TEXT 1 134 "If we omit the \+
option \"coords = polar\"  we get a rectangular  region in the  (
r, theta) plane that provides the limits of integration."}}{COM_R
 66 0{TEXT 1 0 ""}}{INP_R 67 0 "> "{TEXT 0 63 " plot(\{[1,t,t=Pi/
2..3*Pi/2],[t,Pi/2,t=0..1],[t,3*Pi/2,t=0..1]\},"}}{INP_R 68 0 "> \+
"{TEXT 0 15 "0..1,0..3*Pi/2,"}}{INP_R 69 0 "> "{TEXT 0 49 "scalin
g = constrained,xtickmarks=2,ytickmarks=2);"}}{COM_R 70 0{TEXT 1 
72 "Now replacing dxdy with the jacobian expression we complete t
he problem:"}}{COM_R 71 0{TEXT 1 0 ""}}{INP_R 72 0 "> "{TEXT 0 64
 "Int(Int(subs(x=r*cos(theta),y=r*sin(theta),f(x,y))*det(jacobian
("}}{INP_R 73 0 "> "{TEXT 0 68 "[r*cos(theta),r*sin(theta)],[r,th
eta])),r=0..1),theta=Pi/2..3*Pi/2);"}}{INP_R 74 0 "> "{TEXT 0 12 
"simplify(\");"}}{COM_R 75 0{TEXT 1 0 ""}}{COM_R 76 0{TEXT 1 92 "
Example:   Let's consider the problem of finding the area to the \+
right of the vertical line "}}{COM_R 77 0{TEXT 1 52 "x = 7/8 that
 is inside the circle  r = 3 sin(theta)."}}{COM_R 78 0{TEXT 1 126
 "Solution: First we will plot this region and in the process use
 the command  \"polarplot\" which is part of the \"plots\" packag
e."}}{COM_R 79 0{TEXT 1 0 ""}}{INP_R 80 0 "> "{TEXT 0 12 "with(pl
ots):"}}{COM_R 81 0{TEXT 1 35 "\015The next command plots the cir
cle."}}{COM_R 82 0{TEXT 1 0 ""}}{INP_R 83 0 "> "{TEXT 0 65 " P1 :
= polarplot(3*sin(theta),theta=0..Pi,scaling=constrained):\";"}}
{COM_R 84 0{TEXT 1 41 "\015The vertical line  x = 7/8  has equati
on"}}{COM_R 85 0{TEXT 1 0 ""}}{INP_R 86 0 "> "{TEXT 0 19 "r = 7/8
*sec(theta);"}}{INP_R 87 0 "> "{TEXT 0 71 "P2 := polarplot(7/8*se
c(theta),theta=0..5*Pi/12,scaling=constrained):\";"}}{COM_R 88 0
{TEXT 1 94 "\015We need to find the area of the region to the rig
ht of the line which lies inside the circle."}}{COM_R 89 0{TEXT 1
 0 ""}}{INP_R 90 0 "> "{TEXT 0 17 "display(\{P1,P2\});"}}{COM_R 
91 0{TEXT 1 0 ""}}{COM_R 92 0{TEXT 1 198 "In order to do this we \+
need values of  theta  where the line and circle intersect. Say t
hese values are theta1 and theta2 respectively,  then the area is
 obtained from the following double integral."}}{COM_R 93 0{TEXT 
1 73 "                        int(int(r,r= 7/8sec(theta)),theta=t
heta1..theta2)"}}{COM_R 94 0{TEXT 1 0 ""}}{COM_R 95 0{TEXT 1 210 
"In order to find the points of intersection look at the followin
g plot.  Since we plan to use \"fsolve\" to find the points of in
tersection we need to specify the intervals in which Maple V is t
o seek a solution."}}{COM_R 96 0{TEXT 1 0 ""}}{INP_R 97 0 "> "
{TEXT 0 53 "plot(\{7/8*sec(theta),3*sin(theta)\},theta=0..5*Pi/12
);"}}{COM_R 98 0{TEXT 1 147 "\015This suggests that the intersect
ions occur in the interval's  [0.2,0.4],  and [1,1.3].  We now us
e \"fsolve\" to estimate these points to 10 digits."}}{COM_R 99 0
{TEXT 1 0 ""}}{INP_R 100 0 "> "{TEXT 0 51 "theta[1] := fsolve(7/8
*sec(x)=3*sin(x),x,0.2..0.4);"}}{INP_R 101 0 "> "{TEXT 0 49 "thet
a[2] := fsolve(7/8*sec(x)=3*sin(x),x,1..1.3);"}}{COM_R 102 0{TEXT
 1 91 "Finally,  the following double integral should give a very
 good  approximation to the area."}}{COM_R 103 0{TEXT 1 0 ""}}
{INP_R 104 0 "> "{TEXT 0 68 "Int(Int(r,r=7/8*sec(theta)..3*sin(th
eta)),theta=theta[1]..theta[2]);"}}{INP_R 105 0 "> "{TEXT 0 10 " \+
value(\");"}}{SEP_R 106 0}{INP_R 107 0 "> "{TEXT 0 0 ""}}{COM_R 
108 0{TEXT 1 62 "We conclude that the area of the region is aroun
d 1.066876285."}}{COM_R 109 0{TEXT 1 0 ""}}{COM_R 110 0{TEXT 1 0 
""}}{COM_R 111 0{TEXT 1 0 ""}}{COM_R 112 0{TEXT 1 0 ""}}}{END}
