{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 114{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 55 "Chapter 13.4 Multiple Integrals in Various Coordinate
s "}}{COM_R 4 0{TEXT 1 244 "Let  W  be a region in three space an
d let  f  be defined on  W.   If  it turns out that  W  can be de
fined in terms of rectangular coordinates,  then the integral ove
r the region can usually be evaluated by means of a triple iterat
ed integral."}}{COM_R 5 0{TEXT 1 279 "As an example let's plot th
e region  W  which is the intersection of two  right circular cyl
inders of radius one.  One is symmetric about the   x-axis and th
e other symmetric about the  z-axis.  You should convince yoursel
f that the following Maple V commands plot the cylinders."}}
{COM_R 6 0{TEXT 1 0 ""}}{INP_R 7 0 "> "{TEXT 0 61 "W1 := plot3d([
x,cos(theta),sin(theta)],theta=0..2*Pi,x=-1..1,"}}{INP_R 8 0 "> "
{TEXT 0 38 "scaling =constrained,style=wireframe):"}}{INP_R 9 0 "
> "{TEXT 0 61 "W2 := plot3d([cos(theta),sin(theta),z],theta=0..2*
Pi,z=-1..1,"}}{INP_R 10 0 "> "{TEXT 0 38 "scaling =constrained,st
yle=wireframe):"}}{INP_R 11 0 "> "{TEXT 0 12 "with(plots):"}}
{INP_R 12 0 "> "{TEXT 0 19 "display3d(\{W1,W2\});"}}{COM_R 13 0
{TEXT 1 184 "\015Let us find the volume of the solid  W  formed b
y the intersection of  these two cylinders. Note that  W  is made
 up of eight identical regions so we can concentrate on the part \+
which"}}{COM_R 14 0{TEXT 1 70 "lies in the first octant.  Now tak
e a look at a picture of this piece."}}{COM_R 15 0{TEXT 1 0 ""}}
{INP_R 16 0 "> "{TEXT 0 60 "W3 := plot3d([x,cos(theta),sin(theta)
],theta=0..Pi/2,x=0..1,"}}{INP_R 17 0 "> "{TEXT 0 38 "scaling =co
nstrained,style=wireframe):"}}{INP_R 18 0 "> "{TEXT 0 60 "W4 := p
lot3d([cos(theta),sin(theta),z],theta=0..Pi/2,z=0..1,"}}{INP_R 19
 0 "> "{TEXT 0 38 "scaling =constrained,style=wireframe):"}}
{INP_R 20 0 "> "{TEXT 0 19 "display3d(\{W3,W4\});"}}{COM_R 21 0
{TEXT 1 28 "\015The volume of this piece is"}}{COM_R 22 0{TEXT 1 
0 ""}}{INP_R 23 0 "> "{TEXT 0 63 "PieceVolume:=Int(Int(Int(1,z=0.
.sqrt(1-y^2)),x=0..sqrt(1-y^2)),"}}{INP_R 24 0 "> "{TEXT 0 8 "y=0
..1);"}}{INP_R 25 0 "> "{TEXT 0 34 "PieceVolume := value(PieceVol
ume);"}}{COM_R 26 0{TEXT 1 93 "\015and thus the volume of the ent
ire solid is eight times that of the piece we just calculated."}}
{COM_R 27 0{TEXT 1 0 ""}}{INP_R 28 0 "> "{TEXT 0 29 "TotalVolume \+
:= 8*PieceVolume;"}}{COM_R 29 0{TEXT 1 100 "\015We used a triple \+
integral to find the volume above,  but we could also have used a
 double integral:"}}{COM_R 30 0{TEXT 1 0 ""}}{INP_R 31 0 "> "
{TEXT 0 74 " PieceVolume := Int(Int(Int(1,z=0..sqrt(1-y^2)),x=0..
sqrt(1-y^2)),y=0..1);"}}{INP_R 32 0 "> "{TEXT 0 34 "PieceVolume :
= value(PieceVolume);"}}{COM_R 33 0{TEXT 1 196 "\015Now let's do \+
another problem with this same solid.  Let  T  be the top  half o
f the solid  W,  and suppose the density of  T at any point  (x,y
,z)  is equal to the square of the distance from the"}}{COM_R 34 
0{TEXT 1 36 "point to the plane  z = 0,    i.e., "}}{COM_R 35 0
{TEXT 1 0 ""}}{INP_R 36 0 "> "{TEXT 0 17 "rho(x,y,z) = z^2;"}}
{INP_R 37 0 "> "{TEXT 0 63 "Tmass := 4*Int(Int(Int(z^2,z=0..sqrt(
1-y^2)),x=0..sqrt(1-y^2)),"}}{INP_R 38 0 "> "{TEXT 0 8 "y=0..1);"
}}{INP_R 39 0 "> "{TEXT 0 22 "Tmass := value(Tmass);"}}{COM_R 40 
0{TEXT 1 92 "\015Now to find the center of mass of  T  you must f
ind the moment of  T about the plane  z=0. "}}{COM_R 41 0{TEXT 1 
0 ""}}{INP_R 42 0 "> "{TEXT 0 67 "Tmomentxy := 4*Int(Int(Int(z^3,
z=0..sqrt(1-y^2)),x=0..sqrt(1-y^2)),"}}{INP_R 43 0 "> "{TEXT 0 8 
"y=0..1);"}}{INP_R 44 0 "> "{TEXT 0 30 "Tmomentxy := value(Tmomen
txy);"}}{INP_R 45 0 "> "{TEXT 0 24 "zbar := Tmomentxy/Tmass;"}}
{COM_R 46 0{TEXT 1 65 "\015Thus the center of mass of  T  is loca
ted at  (0,0,225Pi/1024). "}}{COM_R 47 0{TEXT 1 0 ""}}{COM_R 48 0
{TEXT 1 219 "Just as it is sometimes convenient to use polar coor
dinates when computing double integrals over appropriate regions,
  one can sometimes use generalizations of polar coordinates to a
id in calculating triple integrals.  "}}{COM_R 49 0{TEXT 1 79 "Th
e relationship between cylindrical coordinates and rectangular co
ordinates is"}}{COM_R 50 0{TEXT 1 46 " x = r cos(theta),  y = r \
\sin(theta),  z = z."}}{COM_R 51 0{TEXT 1 0 ""}}{COM_R 52 0{TEXT 
1 99 "When changing coordinates one must determine what to use fo
r  dV.  This is done using the Jacobian."}}{COM_R 53 0{TEXT 1 0 "
"}}{INP_R 54 0 "> "{TEXT 0 13 "with(linalg):"}}{INP_R 55 0 "> "
{TEXT 0 65 "JacobianC := jacobian([r*cos(theta),r*sin(theta),z],[
r,theta,z]);"}}{INP_R 56 0 "> "{TEXT 0 41 "DetjacobianC := simpli
fy(det(JacobianC));"}}{COM_R 57 0{TEXT 1 91 "\015This means that \+
when evaluating triple integrals with cylindrical  coordinates th
at we use"}}{COM_R 58 0{TEXT 1 77 "                              \+
                          dV = r dz dr dtheta. "}}{INP_R 59 0 "> \+
"{TEXT 0 0 ""}}{COM_R 60 0{TEXT 1 0 ""}}{COM_R 61 0{TEXT 1 119 "A
s an example consider the solid  W  formed below the plane  z = 1
 and above the upper half of the right circular cone "}}{COM_R 62
 0{TEXT 1 61 "                                         z = sqrt (
x^2 +y^2)."}}{COM_R 63 0{TEXT 1 41 "Lets plot this cone using \"c
ylinderplot\"."}}{COM_R 64 0{TEXT 1 0 ""}}{INP_R 65 0 "> "{TEXT 0
 12 "with(plots):"}}{INP_R 66 0 "> "{TEXT 0 39 "cylinderplot(z,th
eta = 0..2*Pi,z=0..1);"}}{COM_R 67 0{TEXT 1 51 "\015The volume of
  W  using cylindrical coordinates is"}}{COM_R 68 0{TEXT 1 0 ""}}
{INP_R 69 0 "> "{TEXT 0 55 "Volume := Int(Int(Int(r,z=r..1),r=0..
1),theta=0..2*Pi);"}}{INP_R 70 0 "> "{TEXT 0 24 "Volume := value(
Volume);"}}{COM_R 71 0{TEXT 1 204 "\015As another example showing
 how cylindrical coordinates can be used to evaluate triple integ
rals let us convert the following triple integral in rectangular \+
coordinates  to one in cylindrical coordinates."}}{COM_R 72 0
{TEXT 1 0 ""}}{INP_R 73 0 "> "{TEXT 0 65 "Int(Int(Int(x^2+y^2,z=0
..4-x^2-y^2),y=-sqrt(4-x^2)..sqrt(4-x^2)),"}}{INP_R 74 0 "> "
{TEXT 0 9 "z=-2..2);"}}{COM_R 75 0{TEXT 1 185 "\015This is a trip
le integral of the function  f(x,y,z) = x^2+y^2  over the solid  \+
W  bounded above by the paraboloid  z = 4 - x^2-y^2,  z >=  0,$  \+
and bounded  below by the plane  z = 0. "}}{COM_R 76 0{TEXT 1 43 
"Let's plot this region with \"cylinderplot\"."}}{COM_R 77 0{TEXT
 1 0 ""}}{INP_R 78 0 "> "{TEXT 0 65 "cylinderplot(sqrt(4-z),theta
=0..2*Pi,z=0..4,scaling=constrained);"}}{COM_R 79 0{TEXT 1 48 "\0
15The integral in cylindrical coordinates becomes"}}{COM_R 80 0
{TEXT 1 0 ""}}{INP_R 81 0 "> "{TEXT 0 58 "V := Int(Int(Int(r^2*r,
z=0..4-r^2),r=0..2),theta=0..2*Pi);"}}{INP_R 82 0 "> "{TEXT 0 13 
"V:= value(V);"}}{COM_R 83 0{TEXT 1 65 "\015Spherical coordinates
 are related to rectangular coordinates as "}}{COM_R 84 0{TEXT 1 
8 "follows:"}}{COM_R 85 0{TEXT 1 82 "        x = rho sin(phi)cos(
theta),  y = rho sin(phi)sin(theta),  z = rho cos(phi)"}}{COM_R 
86 0{TEXT 1 94 "Using the determinant of the Jacobian of this tra
nsformation we obtain an expression for  dV. "}}{COM_R 87 0{TEXT 
1 0 ""}}{INP_R 88 0 "> "{TEXT 0 21 "JacobianS :=jacobian("}}
{INP_R 89 0 "> "{TEXT 0 49 "[rho*sin(phi)*cos(theta),rho*sin(phi)
*sin(theta),"}}{INP_R 90 0 "> "{TEXT 0 31 "rho*cos(phi)],[rho,phi
,theta]);"}}{INP_R 91 0 "> "{TEXT 0 41 "DetJacobianS := simplify(
det(JacobianS));"}}{COM_R 92 0{TEXT 1 38 "\015Thus in spherical c
oordinates we have"}}{COM_R 93 0{TEXT 1 93 "                     \+
                                   dV = rho^2 sin(phi) drho dphi \+
dtheta."}}{COM_R 94 0{TEXT 1 0 ""}}{COM_R 95 0{TEXT 1 69 "As an e
xample consider the solid bounded below by  the upper half of "}}
{COM_R 96 0{TEXT 1 8 "the cone"}}{COM_R 97 0{TEXT 1 58 "         \+
                                       phi = Pi/3"}}{COM_R 98 0
{TEXT 1 24 "and above by the sphere "}}{COM_R 99 0{TEXT 1 56 "   \+
                                             rho = 1."}}{COM_R 
100 0{TEXT 1 89 "First we plot this region using \"sphereplot\" a
nd\"cylinderplot\".  The sphere is plotted by"}}{COM_R 101 0{TEXT
 1 0 ""}}{INP_R 102 0 "> "{TEXT 0 48 "P1 := sphereplot(1,theta = \+
0..2*Pi,phi=0..Pi/2):"}}{COM_R 103 0{TEXT 1 41 "\015As before we \+
obtain the cone as follows:"}}{COM_R 104 0{TEXT 1 0 ""}}{INP_R 
105 0 "> "{TEXT 0 43 "P2 := cylinderplot(z,theta=0..2*Pi,z=0..1):
"}}{COM_R 106 0{TEXT 1 45 "\015The multiple plot is given by next
 command:\015"}}{INP_R 107 0 "> "{TEXT 0 48 "display3d(\{P1,P2\},
style =wireframe,axes=normal);"}}{COM_R 108 0{TEXT 1 68 "\015The \+
volume of this solid is given by the following triple integral:"}
}{COM_R 109 0{TEXT 1 0 ""}}{INP_R 110 0 "> "{TEXT 0 55 "V := Int(
Int(Int(rho^2*sin(phi),rho=0..1),phi=0..Pi/3),"}}{INP_R 111 0 "> \+
"{TEXT 0 15 "theta=0..2*Pi);"}}{INP_R 112 0 "> "{TEXT 0 14 "V := \+
value(V);"}}{COM_R 113 0{TEXT 1 0 ""}}{COM_R 114 0{TEXT 1 0 ""}}
{COM_R 115 0{TEXT 1 0 ""}}}{END}
