{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 69{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 44 "Chapter 14.1  Parametric Equations of Curves"}}{COM_R
 4 0{TEXT 1 113 "In this section we will see how Maple V can be u
sed to plot interesting curves using parametric representation.  \+
"}}{COM_R 5 0{TEXT 1 104 "First of all consider the circle center
ed at the origin with radius 2.  The  equation for this curve is \+
"}}{COM_R 6 0{TEXT 1 63 "                                        \+
         x^2 +  y^2 = 4"}}{COM_R 7 0{TEXT 1 261 "If you wish plot
 this curve then you soon become aware that the set of  points re
presented by the above equation cannot satisfy a relationship of \+
the form  y = f(x) where  f  is a single valued function (the ver
tical line test fails).  The graph of the function"}}{COM_R 8 0
{TEXT 1 69 "                                                f1(x)
 = sqrt(4 - x^2)"}}{COM_R 9 0{TEXT 1 37 "is the upper semi-circle
 of radius 2."}}{COM_R 10 0{TEXT 1 0 ""}}{INP_R 11 0 "> "{TEXT 0 
34 "P1 := plot(sqrt(4-x^2),x=-2..2):\";"}}{COM_R 12 0{TEXT 1 0 ""
}}{COM_R 13 0{TEXT 1 49 "Whereas the following plot gives the bot
tom half:"}}{COM_R 14 0{TEXT 1 0 ""}}{INP_R 15 0 "> "{TEXT 0 35 "
P2 := plot(-sqrt(4-x^2),x=-2..2):\";"}}{COM_R 16 0{TEXT 1 53 "\01
5We can now use \"display\" to put both plots together."}}{COM_R 
17 0{TEXT 1 0 ""}}{INP_R 18 0 "> "{TEXT 0 12 "with(plots):"}}
{INP_R 19 0 "> "{TEXT 0 38 "display(\{P1,P2\},scaling =constraine
d);"}}{COM_R 20 0{TEXT 1 120 "\015We can obtain a parameterizatio
n for the entire circle.   Since the following identity is true f
or all real values of t"}}{COM_R 21 0{TEXT 1 66 "                \+
                         sin(t)^(2) + cos(t)^(2)=1"}}{COM_R 22 0
{TEXT 1 63 "it follows that  x=2 sin(t),   y=2 cos(t)  satisfy th
e equation"}}{COM_R 23 0{TEXT 1 0 ""}}{COM_R 24 0{TEXT 1 62 "    \+
                                            x^(2)+ y^(2)=4"}}
{COM_R 25 0{TEXT 1 0 ""}}{COM_R 26 0{TEXT 1 95 "for all values of
 t.   Moreover,  the image of the mapping defined by the parametr
ic equations "}}{COM_R 27 0{TEXT 1 72 "                          \+
                       x=2 cos(t), y=2 sin(t) "}}{COM_R 28 0{TEXT
 1 57 "generate the entire circle as t varies between 0 and 2Pi."
}}{COM_R 29 0{TEXT 1 0 ""}}{INP_R 30 0 "> "{TEXT 0 56 "plot([2*co
s(t),2*sin(t),t=0..2*Pi],scaling=constrained);"}}{COM_R 31 0{TEXT
 1 0 ""}}{COM_R 32 0{TEXT 1 173 "When a function  is  defined exp
licitly as a function of  x or  y  alone it is easy to write a pa
rameterization:   if a  curve  is described by the relation  y = \+
f(x),  for "}}{COM_R 33 0{TEXT 1 98 " a <=  x <=  b,   then a  pa
rameterization for this curve is  x=t, y = f(t),  for a <= t <= b
, and"}}{COM_R 34 0{TEXT 1 120 "simalry  if a curve is described \+
as  x = g(y) then the parameterization has the form x=g(t), y= t.
   For example,suppose"}}{COM_R 35 0{TEXT 1 63 "                 \+
                                y = x^3 - 2 x "}}{COM_R 36 0{TEXT
 1 68 "is given.  Then either of the following plot commands will
 give the "}}{COM_R 37 0{TEXT 1 49 "same plot for any range,  say
,    -3 <=  x <= 3. "}}{COM_R 38 0{TEXT 1 0 ""}}{INP_R 39 0 "> "
{TEXT 0 22 "plot(x^3-2*x,x=-3..3);"}}{INP_R 40 0 "> "{TEXT 0 26 "
plot([t,t^3-2*t,t=-3..3]);"}}{COM_R 41 0{TEXT 1 101 "\015Similarl
y if  x = y^2-y  is the function you wish to plot then the follow
ing command does the trick."}}{COM_R 42 0{TEXT 1 0 ""}}{INP_R 43 
0 "> "{TEXT 0 24 "plot([t^2-t,t,t=-2..2]);"}}{COM_R 44 0{TEXT 1 0
 ""}}{COM_R 45 0{TEXT 1 260 "Straight lines are very easy to para
meterize.  For example, if y = mx+b  is the  equation of the line
 then  x=t,  y=mt+b gives a parameterization.   But you  can some
times write the parametric equations directly from their geometri
c description. For example, a"}}{COM_R 46 0{TEXT 1 85 "portion of
   the straight line through the point (1,3)  parallel to the vec
tor <2,5> "}}{COM_R 47 0{TEXT 1 84 "has parametric equations x = \+
1 + 2t,  y = 3 + 5t and can be  plotted by the command:"}}{COM_R 
48 0{TEXT 1 0 ""}}{INP_R 49 0 "> "{TEXT 0 29 " plot([1+2*t,3+5*t,
t=-1..1]);"}}{COM_R 50 0{TEXT 1 182 "\015On occasion it possible \+
to plot curves that would be very complicated to express in even \+
implicit algebraic terms.  For example, the following curve is kn
own  as a Lissajous Figure."}}{COM_R 51 0{TEXT 1 0 ""}}{INP_R 52 
0 "> "{TEXT 0 56 "plot([cos(3*t),sin(5*t),t=0..2*Pi],scaling=cons
trained);"}}{COM_R 53 0{TEXT 1 0 ""}}{COM_R 54 0{TEXT 1 166 "Solu
tions of differential equations are usually represented in parame
tric form. For example  x=  cos(2t), y = -2 sin(2t)  is a solutio
n of the initial value  problem:"}}{COM_R 55 0{TEXT 1 72 "       \+
                         x' = y,  y' = -4y,  x(0) = 1,  y(0) = 0.
"}}{COM_R 56 0{TEXT 1 60 "as can easily be verified.  A plot of t
his curve is given by"}}{COM_R 57 0{TEXT 1 0 ""}}{INP_R 58 0 "> "
{TEXT 0 59 "plot([cos(2*t),-2*sin(2*t),t=0..Pi],scaling = constra
ined);"}}{COM_R 59 0{TEXT 1 0 ""}}{COM_R 60 0{TEXT 1 254 "When pl
otting curves in three dimensions using Maple V we need to use th
e command \"spacecurve\" which is part of the \"plots\" package. \+
 Consider  the curve written parametrically as x =  cos t , y= si
n t, z=t.  It's plot over the range  [0,2Pi] is given by"}}{COM_R
 61 0{TEXT 1 0 ""}}{INP_R 62 0 "> "{TEXT 0 40 "spacecurve([cos(t)
,sin(t),t],t=0..2*Pi);"}}{COM_R 63 0{TEXT 1 49 "\015A complicated
 figure can be obtained as follows:"}}{COM_R 64 0{TEXT 1 0 ""}}
{INP_R 65 0 "> "{TEXT 0 66 "spacecurve([(4+sin(3*t))*cos(2*t),(4+
sin(3*t))*sin(2*t),cos(3*t)],"}}{INP_R 66 0 "> "{TEXT 0 11 "t=0..
2*Pi);"}}{COM_R 67 0{TEXT 1 0 ""}}{COM_R 68 0{TEXT 1 0 ""}}{SEP_R
 69 0}{INP_R 70 0 "> "{TEXT 0 0 ""}}}{END}
