{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 115{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 55 "Chapter 14.3 Velocity and Acceleration Vectors in Spa
ce"}}{COM_R 4 0{TEXT 1 48 "Consider a curve parameterized by  t  \+
in [a,b]: "}}{COM_R 5 0{TEXT 1 63 "                              \+
   x= f(t),   y=g(t),  z = h(t). "}}{COM_R 6 0{TEXT 1 0 ""}}
{INP_R 7 0 "> "{TEXT 0 13 "with(linalg):"}}{COM_R 8 0{TEXT 1 53 "
\015The position vector R  for this function is given by"}}{COM_R
 9 0{TEXT 1 0 ""}}{INP_R 10 0 "> "{TEXT 0 30 "R := vector([f(t),g
(t),h(t)]);"}}{COM_R 11 0{TEXT 1 0 ""}}{COM_R 12 0{TEXT 1 77 "The
 velocity vector  V is obtained by differentiation,  which since \+
$R$ is a "}}{COM_R 13 0{TEXT 1 34 "vector requires the \"map\" co
mmand."}}{COM_R 14 0{TEXT 1 0 ""}}{INP_R 15 0 "> "{TEXT 0 19 "V :
= map(diff,R,t);"}}{COM_R 16 0{TEXT 1 63 "\015The magnitude of th
e  the velocity vector is the speed ds/dt. "}}{COM_R 17 0{TEXT 1 
0 ""}}{INP_R 18 0 "> "{TEXT 0 28 "dsdt  := sqrt(dotprod(V,V));"}}
{COM_R 19 0{TEXT 1 80 "\015The arc length of the curve is found t
hrough integrating the speed which gives "}}{COM_R 20 0{TEXT 1 12
 "the formula:"}}{COM_R 21 0{TEXT 1 0 ""}}{INP_R 22 0 "> "{TEXT 0
 27 "Length := Int(dsdt,t=a..b);"}}{COM_R 23 0{TEXT 1 50 "\015As \+
an example consider the curve parameterized by"}}{COM_R 24 0{TEXT
 1 0 ""}}{INP_R 25 0 "> "{TEXT 0 62 "R := vector([(4+sin(t))*cos(
3*t),(4+sin(t))*sin(3*t),cos(t)]);"}}{COM_R 26 0{TEXT 1 55 "\015A
 plot of this curve from  t=0  to  t= Pi  is given by"}}{COM_R 27
 0{TEXT 1 0 ""}}{INP_R 28 0 "> "{TEXT 0 12 "with(plots):"}}{INP_R
 29 0 "> "{TEXT 0 24 "spacecurve(R,t=0..2*Pi);"}}{COM_R 30 0{TEXT
 1 45 "\015Thus the tangent,  or velocity,   vector is:"}}{COM_R 
31 0{TEXT 1 0 ""}}{INP_R 32 0 "> "{TEXT 0 19 "V := map(diff,R,t);
"}}{COM_R 33 0{TEXT 1 28 "\015The square of the speed is "}}
{COM_R 34 0{TEXT 1 0 ""}}{INP_R 35 0 "> "{TEXT 0 22 "dsdt2 := dot
prod(V,V);"}}{INP_R 36 0 "> "{TEXT 0 25 "dsdt2 := simplify(dsdt2)
;"}}{COM_R 37 0{TEXT 1 13 "\015The speed is"}}{COM_R 38 0{TEXT 1 
0 ""}}{INP_R 39 0 "> "{TEXT 0 20 "dsdt := sqrt(dsdt2);"}}{COM_R 
40 0{TEXT 1 46 "\015The length of the arc from  t=0  to  t=2Pi is
"}}{COM_R 41 0{TEXT 1 0 ""}}{INP_R 42 0 "> "{TEXT 0 30 "Length :=
 Int(dsdt,t=0..2*Pi);"}}{COM_R 43 0{TEXT 1 47 "\015A ten digit ap
proximation for this is given by"}}{COM_R 44 0{TEXT 1 0 ""}}
{INP_R 45 0 "> "{TEXT 0 24 "Length := evalf(Length);"}}{COM_R 46 
0{TEXT 1 81 "\015We now return our expressions  R, V,   and  dsdt
 to the general case to discuss "}}{COM_R 47 0{TEXT 1 13 "acceler
ation."}}{COM_R 48 0{TEXT 1 0 ""}}{INP_R 49 0 "> "{TEXT 0 50 "R :
= vector([f(t),g(t),h(t)]); V:= map(diff,R,t); "}}{INP_R 50 0 "> \+
"{TEXT 0 27 "dsdt := sqrt(dotprod(V,V));"}}{COM_R 51 0{TEXT 1 63 
"\015The unit tangent vector   T  is the normalized tangent vecto
r:"}}{COM_R 52 0{TEXT 1 0 ""}}{INP_R 53 0 "> "{TEXT 0 25 "T := sc
alarmul(V,1/dsdt);"}}{COM_R 54 0{TEXT 1 0 ""}}{COM_R 55 0{TEXT 1 
115 "One important fact about  T  and its derivative is that they
 are orthogonal.  To see this calculate the derivative."}}{COM_R 
56 0{TEXT 1 0 ""}}{INP_R 57 0 "> "{TEXT 0 22 "dTdt := map(diff,T,
t);"}}{COM_R 58 0{TEXT 1 50 "\015Now take the dot product of T an
d its derivative:"}}{COM_R 59 0{TEXT 1 0 ""}}{INP_R 60 0 "> "
{TEXT 0 26 "simplify(dotprod(T,dTdt));"}}{COM_R 61 0{TEXT 1 45 "\
015Thus  T  is perpendicular to its derivative."}}{COM_R 62 0
{TEXT 1 74 "The acceleration vector is equal to the derivative of
 the velocity vector:"}}{COM_R 63 0{TEXT 1 0 ""}}{INP_R 64 0 "> "
{TEXT 0 19 "A := map(diff,V,t);"}}{COM_R 65 0{TEXT 1 36 "\015The \+
radius of curvature is given by"}}{COM_R 66 0{TEXT 1 0 ""}}{INP_R
 67 0 "> "{TEXT 0 35 "r := dsdt/sqrt(dotprod(dTdt,dTdt)):"}}
{COM_R 68 0{TEXT 1 60 "\015The curvature is the reciprocal of the
 radius of curvature:"}}{COM_R 69 0{TEXT 1 0 ""}}{INP_R 70 0 "> "
{TEXT 0 13 "kappa := 1/r:"}}{COM_R 71 0{TEXT 1 0 ""}}{COM_R 72 0
{TEXT 1 136 "Example:  Find the tangential and normal components \+
of acceleration and  the curvature for the helix given by the equ
ations for  t > 0: "}}{COM_R 73 0{TEXT 1 71 "                    \+
            x= 3cos(t^2),  y= 3 sin(t^2),  z = t^2."}}{COM_R 74 0
{TEXT 1 34 "Solution:   The position vector is"}}{COM_R 75 0{TEXT
 1 0 ""}}{INP_R 76 0 "> "{TEXT 0 41 "R := vector([3*cos(t^2),3*si
n(t^2),t^2]);"}}{COM_R 77 0{TEXT 1 72 "\015We aren't asked to plo
t this curve for this problem but we will anyway."}}{COM_R 78 0
{TEXT 1 0 ""}}{INP_R 79 0 "> "{TEXT 0 29 "plots[spacecurve](R,t=0
..Pi);"}}{COM_R 80 0{TEXT 1 43 "\015The velocity and acceleration
 vectors are:"}}{COM_R 81 0{TEXT 1 0 ""}}{INP_R 82 0 "> "{TEXT 0 
39 "V := map(diff,R,t); A := map(diff,V,t);"}}{COM_R 83 0{TEXT 1 
39 "\015The speed and unit tangent vectors are"}}{COM_R 84 0{TEXT
 1 0 ""}}{INP_R 85 0 "> "{TEXT 0 56 "dsdt := simplify(sqrt(simpli
fy(dotprod(V,V))),symbolic);"}}{INP_R 86 0 "> "{TEXT 0 25 "T := s
calarmul(V,1/dsdt);"}}{COM_R 87 0{TEXT 1 79 "\015Using vector ana
lysis we know that the tangential component of acceleration is"}}
{COM_R 88 0{TEXT 1 64 "                                          \+
      dotprod(A,T)* T."}}{COM_R 89 0{TEXT 1 0 ""}}{INP_R 90 0 "> \+
"{TEXT 0 34 "Atan := scalarmul(T,dotprod(A,T));"}}{INP_R 91 0 "> \+
"{TEXT 0 13 "simplify(%1);"}}{INP_R 92 0 "> "{TEXT 0 43 "Atan := \+
map(z->subs(%1=2*sqrt(10),z),Atan);"}}{INP_R 93 0 "> "{TEXT 0 46 
"absAtan := sqrt(simplify(dotprod(Atan,Atan)));"}}{COM_R 94 0
{TEXT 1 58 "\015Of course the other formula for this quantitiy is
  ds/dt:"}}{COM_R 95 0{TEXT 1 0 ""}}{INP_R 96 0 "> "{TEXT 0 13 "d
iff(dsdt,t);"}}{COM_R 97 0{TEXT 1 0 ""}}{COM_R 98 0{TEXT 1 142 "I
f you know the acceleration vector and its tangential component t
hen by  vector subtraction you can get the normal component of ac
celeration."}}{COM_R 99 0{TEXT 1 0 ""}}{INP_R 100 0 "> "{TEXT 0 
25 "Anormal := evalm(A-Atan);"}}{COM_R 101 0{TEXT 1 39 "The magni
tude of this component is thus"}}{COM_R 102 0{TEXT 1 0 ""}}{INP_R
 103 0 "> "{TEXT 0 60 "simplify(sqrt(simplify(dotprod(Anormal,Ano
rmal))),symbolic);"}}{COM_R 104 0{TEXT 1 47 "\015This means that \+
the curvature is calculated by"}}{COM_R 105 0{TEXT 1 0 ""}}{INP_R
 106 0 "> "{TEXT 0 18 "kappa := \"/dsdt^2;"}}{COM_R 107 0{TEXT 1 
64 "\015Another way to obtain the normal component is from the fo
rmula:"}}{COM_R 108 0{TEXT 1 78 "                                \+
                                ds/dt * dT/dt."}}{INP_R 109 0 "> \+
"{TEXT 0 22 "dTdt := map(diff,T,t);"}}{INP_R 110 0 "> "{TEXT 0 21
 "scalarmul(dTdt,dsdt);"}}{SEP_R 111 0}{INP_R 112 0 "> "{TEXT 0 0
 ""}}{COM_R 113 0{TEXT 1 82 "\015This agrees with the previous ex
pression fo the normal component of acceleration."}}{COM_R 114 0
{TEXT 1 0 ""}}{COM_R 115 0{TEXT 1 0 ""}}{COM_R 116 0{TEXT 1 0 ""}
}}{END}
