{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 60{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 28 "Chapter 14.4  Vector Fields "}}{COM_R 4 0{TEXT 1 71 "
There are several graphing procedures in Maple V that help you to
 study"}}{COM_R 5 0{TEXT 1 15 "vector  fields."}}{COM_R 6 0{TEXT 
1 0 ""}}{INP_R 7 0 "> "{TEXT 0 12 "with(plots):"}}{COM_R 8 0{TEXT
 1 0 ""}}{COM_R 9 0{TEXT 1 143 "Within the \"plots\" package ther
e is the command \"gradplot\"  that allows  you to plot the gradi
ent vector field for a function of two variables."}}{COM_R 10 0
{TEXT 1 0 ""}}{INP_R 11 0 "> "{TEXT 0 43 "Q := gradplot(x^2+2*y^2
,x=-3..3,y=-3..3):\";"}}{COM_R 12 0{TEXT 1 0 ""}}{COM_R 13 0{TEXT
 1 68 "This command along with \"implicitplot\" allows you to plo
t the vector"}}{COM_R 14 0{TEXT 1 41 "field  along with several l
evel curves.  "}}{COM_R 15 0{TEXT 1 0 ""}}{INP_R 16 0 "> "{TEXT 0
 51 "P.1 := implicitplot(x^2+2*y^2=1,x=-3..3,y=-3..3):\";"}}
{INP_R 17 0 "> "{TEXT 0 63 "for i from 1 to 3 do P.(2*i+1) := imp
licitplot(x^2+2*y^2=2*i+1,"}}{INP_R 18 0 "> "{TEXT 0 20 "x=-3..3,
y=-3..3):od:"}}{INP_R 19 0 "> "{TEXT 0 35 "display(\{Q,seq(P.(2*i
-1),i=1..4)\});"}}{COM_R 20 0{TEXT 1 0 ""}}{COM_R 21 0{TEXT 1 145
 "If you wish to view the flow the vector field in two dimensions
, then it is  useful to utilize  the tools that are part of the \
"DEtools\" package."}}{COM_R 22 0{TEXT 1 0 ""}}{INP_R 23 0 "> "
{TEXT 0 14 "with(DEtools):"}}{COM_R 24 0{TEXT 1 0 ""}}{COM_R 25 0
{TEXT 1 65 "We first use \"grad\" to calculate the gradient vecto
r field of the"}}{COM_R 26 0{TEXT 1 9 "function."}}{COM_R 27 0
{TEXT 1 0 ""}}{INP_R 28 0 "> "{TEXT 0 15 "f := x^2+2*y^2;"}}
{COM_R 29 0{TEXT 1 0 ""}}{COM_R 30 0{TEXT 1 63 "The \"linalg\" pa
ckage needs to be made available for some of the"}}{COM_R 31 0
{TEXT 1 21 "commands that follow."}}{COM_R 32 0{TEXT 1 0 ""}}
{INP_R 33 0 "> "{TEXT 0 13 "with(linalg):"}}{INP_R 34 0 "> "{TEXT
 0 19 "X := grad(f,[x,y]);"}}{COM_R 35 0{TEXT 1 0 ""}}{COM_R 36 0
{TEXT 1 100 "However,  to use this vector field as an argument fo
r\"DEplot2\" we must  convert it to the type list."}}{COM_R 37 0
{TEXT 1 0 ""}}{INP_R 38 0 "> "{TEXT 0 21 "X := convert(X,list);"}
}{COM_R 39 0{TEXT 1 0 ""}}{COM_R 40 0{TEXT 1 150 "The next comman
d plots the gradient vector field along with the three flowlines \+
 which start at the points  (-1.5,1.1),  (1.1,0.83),   and (0.8,0
.9). "}}{COM_R 41 0{TEXT 1 0 ""}}{INP_R 42 0 "> "{TEXT 0 34 "Flow
 := DEplot2(X,[x,y],-0.5..0.5,"}}{INP_R 43 0 "> "{TEXT 0 43 "\{[0
,-1.5,1.1],[0,1.1,0.83],[0,0.8,0.9]\}):\";"}}{COM_R 44 0{TEXT 1 0
 ""}}{COM_R 45 0{TEXT 1 128 "Now if we want some level curves for
  f(x,y),   along with the vector field and  flowlines,  we do so
mething like the following."}}{COM_R 46 0{TEXT 1 0 ""}}{INP_R 47 
0 "> "{TEXT 0 50 "P.1 := implicitplot(x^2+2*y^2=1,x=-4..3,y=0..9)
:\";"}}{INP_R 48 0 "> "{TEXT 0 63 "for i from 1 to 5 do P.(2*i) :
= implicitplot(x^2+2*y^2=(2*i)^2,"}}{INP_R 49 0 "> "{TEXT 0 19 "x
=-4..3,y=0..9):od:"}}{INP_R 50 0 "> "{TEXT 0 56 "display(\{Flow,s
eq(P.(2*i),i=1..5)\},scaling=constrained);"}}{COM_R 51 0{TEXT 1 
147 "\015It is also possible to plot two and three dimensional ve
ctor fields using  \"fieldplot\" and \"fieldplot3d\".  For exampl
e, to plot the vector field  "}}{COM_R 52 0{TEXT 1 89 "          \+
                                                              <2 \+
x, y, x - z>  "}}{COM_R 53 0{TEXT 1 31 "execute the following com
mands:"}}{COM_R 54 0{TEXT 1 0 ""}}{INP_R 55 0 "> "{TEXT 0 25 "X :
= vector([2*x,y,x-z]);"}}{INP_R 56 0 "> "{TEXT 0 39 "fieldplot3d(
X,x=-3..3,y=-3..3,z=-3..3);"}}{COM_R 57 0{TEXT 1 0 ""}}{COM_R 58 
0{TEXT 1 0 ""}}{COM_R 59 0{TEXT 1 0 ""}}{SEP_R 60 0}{INP_R 61 0 "
> "{TEXT 0 0 ""}}}{END}
