{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 25{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 44 "Chapter 14.6 Divergence and Curl in Maple V "}}{COM_R
 4 0{TEXT 1 120 " We can compute  the curl and divergence of a ve
ctor field by using commands that are contained in the \"linalg\"
 package."}}{COM_R 5 0{TEXT 1 0 ""}}{INP_R 6 0 "> "{TEXT 0 13 "wi
th(linalg):"}}{COM_R 7 0{TEXT 1 0 ""}}{COM_R 8 0{TEXT 1 75 "As an
 example we will calculate the divergence and curl of the vector \+
field"}}{COM_R 9 0{TEXT 1 82 "                                   \+
              < sin x,   exp xyz , x+\\sin z >. "}}{COM_R 10 0
{TEXT 1 0 ""}}{INP_R 11 0 "> "{TEXT 0 42 "F := vector([sin(x),exp
(x*y*z),x+sin(z)]);"}}{INP_R 12 0 "> "{TEXT 0 27 "divF := diverge
(F,[x,y,z]);"}}{INP_R 13 0 "> "{TEXT 0 25 "curlF := curl(F,[x,y,z
]);"}}{COM_R 14 0{TEXT 1 0 ""}}{COM_R 15 0{TEXT 1 88 "If we need \+
to find the value of these quantities at a particular point,  say
  (0,1,Pi), "}}{COM_R 16 0{TEXT 1 34 "then we can use \"subs\" an
d \"eval\"."}}{COM_R 17 0{TEXT 1 0 ""}}{INP_R 18 0 "> "{TEXT 0 37
 "ValuedivF := subs(x=0,y=1,z=Pi,divF);"}}{INP_R 19 0 "> "{TEXT 0
 33 "ValuedivF := simplify(ValuedivF);"}}{INP_R 20 0 "> "{TEXT 0 
45 "ValuecurlF := subs(x=0,y=1,z=Pi,eval(curlF));"}}{INP_R 21 0 "
> "{TEXT 0 39 "ValuecurlF := map(simplify,ValuecurlF);"}}{SEP_R 
22 0}{INP_R 23 0 "> "{TEXT 0 0 ""}}{COM_R 24 0{TEXT 1 291 "\015No
te that there was a little difference in finding these values.  T
he divergence is a  scalar expression and so a simple use of \"si
mplify\" was able to simplify it.   On the other hand the curl of
 a vector field is a vector and required the use of \"eval\" and \+
\"map\" to simplify it completely."}}{COM_R 25 0{TEXT 1 0 ""}}
{COM_R 26 0{TEXT 1 0 ""}}}{END}
